# GstEvent

The event class provides factory methods to construct events for sending and functions to query (parse) received events.

Events are usually created with gst_event_new_*() which takes event-type specific parameters as arguments. To send an event application will usually use gst_element_send_event and elements will use gst_pad_send_event or gst_pad_push_event. The event should be unreffed with gst_event_unref if it has not been sent.

Events that have been received can be parsed with their respective gst_event_parse_*() functions. It is valid to pass NULL for unwanted details.

Events are passed between elements in parallel to the data stream. Some events are serialized with buffers, others are not. Some events only travel downstream, others only upstream. Some events can travel both upstream and downstream.

The events are used to signal special conditions in the datastream such as EOS (end of stream) or the start of a new stream-segment. Events are also used to flush the pipeline of any pending data.

Most of the event API is used inside plugins. Applications usually only construct and use seek events. To do that gst_event_new_seek is used to create a seek event. It takes the needed parameters to specify seeking time and mode.

       GstEvent *event;
       gboolean result;
       ...
       // construct a seek event to play the media from second 2 to 5, flush
       // the pipeline to decrease latency.
       event = gst_event_new_seek (1.0,
          GST_FORMAT_TIME,
          GST_SEEK_FLAG_FLUSH,
          GST_SEEK_TYPE_SET, 2 * GST_SECOND,
          GST_SEEK_TYPE_SET, 5 * GST_SECOND);
       ...
       result = gst_element_send_event (pipeline, event);
       if (!result)
         g_warning ("seek failed");
       ...

## GstEvent

A GstEvent.

### Members

`mini_object` (GstMiniObject) –

the parent structure

`type` (GstEventType) –

the GstEventType of the event

`timestamp` (guint64) –

the timestamp of the event

`seqnum` (guint32) –

the sequence number of the event

## Gst.Event

A Gst.Event.

### Members

`mini_object` (Gst.MiniObject) –

the parent structure

`type` (Gst.EventType) –

the Gst.EventType of the event

`timestamp` (Number) –

the timestamp of the event

`seqnum` (Number) –

the sequence number of the event

## Gst.Event

A Gst.Event.

### Members

`mini_object` (Gst.MiniObject) –

the parent structure

`type` (Gst.EventType) –

the Gst.EventType of the event

`timestamp` (int) –

the timestamp of the event

`seqnum` (int) –

the sequence number of the event

### Constructors

#### gst_event_new_buffer_size

    GstEvent *
    gst_event_new_buffer_size (GstFormat format,
                               gint64 minsize,
                               gint64 maxsize,
                               gboolean async)

Create a new buffersize event. The event is sent downstream and notifies elements that they should provide a buffer of the specified dimensions.

When the async flag is set, a thread boundary is preferred.

Parameters:

`format` –

buffer format

`minsize` –

minimum buffer size

`maxsize` –

maximum buffer size

`async` –

thread behavior

Returns ( [transfer: full]) –

a new GstEvent

#### Gst.Event.prototype.new_buffer_size

    function Gst.Event.prototype.new_buffer_size(format: Gst.Format, minsize: Number, maxsize: Number, async: Number): {
        // javascript wrapper for 'gst_event_new_buffer_size'
    }

Create a new buffersize event. The event is sent downstream and notifies elements that they should provide a buffer of the specified dimensions.

When the async flag is set, a thread boundary is preferred.

Parameters:

`format` (Gst.Format) –

buffer format

`minsize` (Number) –

minimum buffer size

`maxsize` (Number) –

maximum buffer size

`async` (Number) –

thread behavior

Returns (Gst.Event) –

a new Gst.Event

#### Gst.Event.new_buffer_size

    def Gst.Event.new_buffer_size (format, minsize, maxsize, async):
        #python wrapper for 'gst_event_new_buffer_size'

Create a new buffersize event. The event is sent downstream and notifies elements that they should provide a buffer of the specified dimensions.

When the async flag is set, a thread boundary is preferred.

Parameters:

`format` (Gst.Format) –

buffer format

`minsize` (int) –

minimum buffer size

`maxsize` (int) –

maximum buffer size

`async` (bool) –

thread behavior

Returns (Gst.Event) –

a new Gst.Event

#### gst_event_new_caps

    GstEvent *
    gst_event_new_caps (GstCaps * caps)

Create a new CAPS event for caps. The caps event can only travel downstream synchronized with the buffer flow and contains the format of the buffers that will follow after the event.

Parameters:

`caps` ( [transfer: none]) –

a GstCaps

Returns ( [transfer: full]) –

the new CAPS event.

#### Gst.Event.prototype.new_caps

    function Gst.Event.prototype.new_caps(caps: Gst.Caps): {
        // javascript wrapper for 'gst_event_new_caps'
    }

Create a new CAPS event for caps. The caps event can only travel downstream synchronized with the buffer flow and contains the format of the buffers that will follow after the event.

Parameters:

`caps` (Gst.Caps) –

a Gst.Caps

Returns (Gst.Event) –

the new CAPS event.

#### Gst.Event.new_caps

    def Gst.Event.new_caps (caps):
        #python wrapper for 'gst_event_new_caps'

Create a new CAPS event for caps. The caps event can only travel downstream synchronized with the buffer flow and contains the format of the buffers that will follow after the event.

Parameters:

`caps` (Gst.Caps) –

a Gst.Caps

Returns (Gst.Event) –

the new CAPS event.

#### gst_event_new_custom

    GstEvent *
    gst_event_new_custom (GstEventType type,
                          GstStructure * structure)

Create a new custom-typed event. This can be used for anything not handled by other event-specific functions to pass an event to another element.

Make sure to allocate an event type with the GST_EVENT_MAKE_TYPE macro, assigning a free number and filling in the correct direction and serialization flags.

New custom events can also be created by subclassing the event type if needed.

Parameters:

`type` –

The type of the new event

`structure` ( [transfer: full]) –

the structure for the event. The event will take ownership of the structure.

Returns ( [transfer: full]) –

the new custom event.

#### Gst.Event.prototype.new_custom

    function Gst.Event.prototype.new_custom(type: Gst.EventType, structure: Gst.Structure): {
        // javascript wrapper for 'gst_event_new_custom'
    }

Create a new custom-typed event. This can be used for anything not handled by other event-specific functions to pass an event to another element.

Make sure to allocate an event type with the GST_EVENT_MAKE_TYPE (not introspectable) macro, assigning a free number and filling in the correct direction and serialization flags.

New custom events can also be created by subclassing the event type if needed.

Parameters:

`type` (Gst.EventType) –

The type of the new event

`structure` (Gst.Structure) –

the structure for the event. The event will take ownership of the structure.

Returns (Gst.Event) –

the new custom event.

#### Gst.Event.new_custom

    def Gst.Event.new_custom (type, structure):
        #python wrapper for 'gst_event_new_custom'

Create a new custom-typed event. This can be used for anything not handled by other event-specific functions to pass an event to another element.

Make sure to allocate an event type with the GST_EVENT_MAKE_TYPE (not introspectable) macro, assigning a free number and filling in the correct direction and serialization flags.

New custom events can also be created by subclassing the event type if needed.

Parameters:

`type` (Gst.EventType) –

The type of the new event

`structure` (Gst.Structure) –

the structure for the event. The event will take ownership of the structure.

Returns (Gst.Event) –

the new custom event.

#### gst_event_new_eos

    GstEvent *
    gst_event_new_eos ()

Create a new EOS event. The eos event can only travel downstream synchronized with the buffer flow. Elements that receive the EOS event on a pad can return GST_FLOW_EOS as a GstFlowReturn when data after the EOS event arrives.

The EOS event will travel down to the sink elements in the pipeline which will then post the GST_MESSAGE_EOS on the bus after they have finished playing any buffered data.

When all sinks have posted an EOS message, an EOS message is forwarded to the application.

The EOS event itself will not cause any state transitions of the pipeline.

Returns ( [transfer: full]) –

the new EOS event.

#### Gst.Event.prototype.new_eos

    function Gst.Event.prototype.new_eos(): {
        // javascript wrapper for 'gst_event_new_eos'
    }

Create a new EOS event. The eos event can only travel downstream synchronized with the buffer flow. Elements that receive the EOS event on a pad can return Gst.FlowReturn.EOS as a Gst.FlowReturn when data after the EOS event arrives.

The EOS event will travel down to the sink elements in the pipeline which will then post the Gst.MessageType.EOS on the bus after they have finished playing any buffered data.

When all sinks have posted an EOS message, an EOS message is forwarded to the application.

The EOS event itself will not cause any state transitions of the pipeline.

Returns (Gst.Event) –

the new EOS event.

#### Gst.Event.new_eos

    def Gst.Event.new_eos ():
        #python wrapper for 'gst_event_new_eos'

Create a new EOS event. The eos event can only travel downstream synchronized with the buffer flow. Elements that receive the EOS event on a pad can return Gst.FlowReturn.EOS as a Gst.FlowReturn when data after the EOS event arrives.

The EOS event will travel down to the sink elements in the pipeline which will then post the Gst.MessageType.EOS on the bus after they have finished playing any buffered data.

When all sinks have posted an EOS message, an EOS message is forwarded to the application.

The EOS event itself will not cause any state transitions of the pipeline.

Returns (Gst.Event) –

the new EOS event.

#### gst_event_new_flush_start

    GstEvent *
    gst_event_new_flush_start ()

Allocate a new flush start event. The flush start event can be sent upstream and downstream and travels out-of-bounds with the dataflow.

It marks pads as being flushing and will make them return GST_FLOW_FLUSHING when used for data flow with gst_pad_push, gst_pad_chain, gst_pad_get_range and gst_pad_pull_range. Any event (except a GST_EVENT_FLUSH_STOP) received on a flushing pad will return FALSE immediately.

Elements should unlock any blocking functions and exit their streaming functions as fast as possible when this event is received.

This event is typically generated after a seek to flush out all queued data in the pipeline so that the new media is played as soon as possible.

Returns ( [transfer: full]) –

a new flush start event.

#### Gst.Event.prototype.new_flush_start

    function Gst.Event.prototype.new_flush_start(): {
        // javascript wrapper for 'gst_event_new_flush_start'
    }

Allocate a new flush start event. The flush start event can be sent upstream and downstream and travels out-of-bounds with the dataflow.

It marks pads as being flushing and will make them return Gst.FlowReturn.FLUSHING when used for data flow with Gst.Pad.prototype.push, Gst.Pad.prototype.chain, Gst.Pad.prototype.get_range and Gst.Pad.prototype.pull_range. Any event (except a Gst.EventType.FLUSH_STOP) received on a flushing pad will return false immediately.

Elements should unlock any blocking functions and exit their streaming functions as fast as possible when this event is received.

This event is typically generated after a seek to flush out all queued data in the pipeline so that the new media is played as soon as possible.

Returns (Gst.Event) –

a new flush start event.

#### Gst.Event.new_flush_start

    def Gst.Event.new_flush_start ():
        #python wrapper for 'gst_event_new_flush_start'

Allocate a new flush start event. The flush start event can be sent upstream and downstream and travels out-of-bounds with the dataflow.

It marks pads as being flushing and will make them return Gst.FlowReturn.FLUSHING when used for data flow with Gst.Pad.push, Gst.Pad.chain, Gst.Pad.get_range and Gst.Pad.pull_range. Any event (except a Gst.EventType.FLUSH_STOP) received on a flushing pad will return False immediately.

Elements should unlock any blocking functions and exit their streaming functions as fast as possible when this event is received.

This event is typically generated after a seek to flush out all queued data in the pipeline so that the new media is played as soon as possible.

Returns (Gst.Event) –

a new flush start event.

#### gst_event_new_flush_stop

    GstEvent *
    gst_event_new_flush_stop (gboolean reset_time)

Allocate a new flush stop event. The flush stop event can be sent upstream and downstream and travels serialized with the dataflow. It is typically sent after sending a FLUSH_START event to make the pads accept data again.

Elements can process this event synchronized with the dataflow since the preceding FLUSH_START event stopped the dataflow.

This event is typically generated to complete a seek and to resume dataflow.

Parameters:

`reset_time` –

if time should be reset

Returns ( [transfer: full]) –

a new flush stop event.

#### Gst.Event.prototype.new_flush_stop

    function Gst.Event.prototype.new_flush_stop(reset_time: Number): {
        // javascript wrapper for 'gst_event_new_flush_stop'
    }

Allocate a new flush stop event. The flush stop event can be sent upstream and downstream and travels serialized with the dataflow. It is typically sent after sending a FLUSH_START event to make the pads accept data again.

Elements can process this event synchronized with the dataflow since the preceding FLUSH_START event stopped the dataflow.

This event is typically generated to complete a seek and to resume dataflow.

Parameters:

`reset_time` (Number) –

if time should be reset

Returns (Gst.Event) –

a new flush stop event.

#### Gst.Event.new_flush_stop

    def Gst.Event.new_flush_stop (reset_time):
        #python wrapper for 'gst_event_new_flush_stop'

Allocate a new flush stop event. The flush stop event can be sent upstream and downstream and travels serialized with the dataflow. It is typically sent after sending a FLUSH_START event to make the pads accept data again.

Elements can process this event synchronized with the dataflow since the preceding FLUSH_START event stopped the dataflow.

This event is typically generated to complete a seek and to resume dataflow.

Parameters:

`reset_time` (bool) –

if time should be reset

Returns (Gst.Event) –

a new flush stop event.

#### gst_event_new_gap

    GstEvent *
    gst_event_new_gap (GstClockTime timestamp,
                       GstClockTime duration)

Create a new GAP event. A gap event can be thought of as conceptually equivalent to a buffer to signal that there is no data for a certain amount of time. This is useful to signal a gap to downstream elements which may wait for data, such as muxers or mixers or overlays, especially for sparse streams such as subtitle streams.

Parameters:

`timestamp` –

the start time (pts) of the gap

`duration` –

the duration of the gap

Returns ( [transfer: full]) –

the new GAP event.

#### Gst.Event.prototype.new_gap

    function Gst.Event.prototype.new_gap(timestamp: Number, duration: Number): {
        // javascript wrapper for 'gst_event_new_gap'
    }

Create a new GAP event. A gap event can be thought of as conceptually equivalent to a buffer to signal that there is no data for a certain amount of time. This is useful to signal a gap to downstream elements which may wait for data, such as muxers or mixers or overlays, especially for sparse streams such as subtitle streams.

Parameters:

`timestamp` (Number) –

the start time (pts) of the gap

`duration` (Number) –

the duration of the gap

Returns (Gst.Event) –

the new GAP event.

#### Gst.Event.new_gap

    def Gst.Event.new_gap (timestamp, duration):
        #python wrapper for 'gst_event_new_gap'

Create a new GAP event. A gap event can be thought of as conceptually equivalent to a buffer to signal that there is no data for a certain amount of time. This is useful to signal a gap to downstream elements which may wait for data, such as muxers or mixers or overlays, especially for sparse streams such as subtitle streams.

Parameters:

`timestamp` (int) –

the start time (pts) of the gap

`duration` (int) –

the duration of the gap

Returns (Gst.Event) –

the new GAP event.

#### gst_event_new_instant_rate_change

    GstEvent *
    gst_event_new_instant_rate_change (gdouble rate_multiplier,
                                       GstSegmentFlags new_flags)

Create a new instant-rate-change event. This event is sent by seek handlers (e.g. demuxers) when receiving a seek with the GST_SEEK_FLAG_INSTANT_RATE_CHANGE and signals to downstream elements that the playback rate in the existing segment should be immediately multiplied by the rate_multiplier factor.

The flags provided replace any flags in the existing segment, for the flags within the GST_SEGMENT_INSTANT_FLAGS set. Other GstSegmentFlags are ignored and not transferred in the event.

Parameters:

`rate_multiplier` –

the multiplier to be applied to the playback rate

`new_flags` –

A new subset of segment flags to replace in segments

Returns ( [transfer: full]) –

the new instant-rate-change event.

Since : 1.18

#### Gst.Event.prototype.new_instant_rate_change

    function Gst.Event.prototype.new_instant_rate_change(rate_multiplier: Number, new_flags: Gst.SegmentFlags): {
        // javascript wrapper for 'gst_event_new_instant_rate_change'
    }

Create a new instant-rate-change event. This event is sent by seek handlers (e.g. demuxers) when receiving a seek with the Gst.SeekFlags.INSTANT_RATE_CHANGE and signals to downstream elements that the playback rate in the existing segment should be immediately multiplied by the rate_multiplier factor.

The flags provided replace any flags in the existing segment, for the flags within the Gst.SEGMENT_INSTANT_FLAGS set. Other GstSegmentFlags are ignored and not transferred in the event.

Parameters:

`rate_multiplier` (Number) –

the multiplier to be applied to the playback rate

`new_flags` (Gst.SegmentFlags) –

A new subset of segment flags to replace in segments

Returns (Gst.Event) –

the new instant-rate-change event.

Since : 1.18

#### Gst.Event.new_instant_rate_change

    def Gst.Event.new_instant_rate_change (rate_multiplier, new_flags):
        #python wrapper for 'gst_event_new_instant_rate_change'

Create a new instant-rate-change event. This event is sent by seek handlers (e.g. demuxers) when receiving a seek with the Gst.SeekFlags.INSTANT_RATE_CHANGE and signals to downstream elements that the playback rate in the existing segment should be immediately multiplied by the rate_multiplier factor.

The flags provided replace any flags in the existing segment, for the flags within the Gst.SEGMENT_INSTANT_FLAGS set. Other GstSegmentFlags are ignored and not transferred in the event.

Parameters:

`rate_multiplier` (float) –

the multiplier to be applied to the playback rate

`new_flags` (Gst.SegmentFlags) –

A new subset of segment flags to replace in segments

Returns (Gst.Event) –

the new instant-rate-change event.

Since : 1.18

#### gst_event_new_instant_rate_sync_time

    GstEvent *
    gst_event_new_instant_rate_sync_time (gdouble rate_multiplier,
                                          GstClockTime running_time,
                                          GstClockTime upstream_running_time)

Create a new instant-rate-sync-time event. This event is sent by the pipeline to notify elements handling the instant-rate-change event about the running-time when the new rate should be applied. The running time may be in the past when elements handle this event, which can lead to switching artifacts. The magnitude of those depends on the exact timing of event delivery to each element and the magnitude of the change in playback rate being applied.

The running_time and upstream_running_time are the same if this is the first instant-rate adjustment, but will differ for later ones to compensate for the accumulated offset due to playing at a rate different to the one indicated in the playback segments.

Parameters:

`rate_multiplier` –

the new playback rate multiplier to be applied

`running_time` –

Running time when the rate change should be applied

`upstream_running_time` –

The upstream-centric running-time when the rate change should be applied.

Returns ( [transfer: full]) –

the new instant-rate-sync-time event.

Since : 1.18

#### Gst.Event.prototype.new_instant_rate_sync_time

    function Gst.Event.prototype.new_instant_rate_sync_time(rate_multiplier: Number, running_time: Number, upstream_running_time: Number): {
        // javascript wrapper for 'gst_event_new_instant_rate_sync_time'
    }

Create a new instant-rate-sync-time event. This event is sent by the pipeline to notify elements handling the instant-rate-change event about the running-time when the new rate should be applied. The running time may be in the past when elements handle this event, which can lead to switching artifacts. The magnitude of those depends on the exact timing of event delivery to each element and the magnitude of the change in playback rate being applied.

The running_time and upstream_running_time are the same if this is the first instant-rate adjustment, but will differ for later ones to compensate for the accumulated offset due to playing at a rate different to the one indicated in the playback segments.

Parameters:

`rate_multiplier` (Number) –

the new playback rate multiplier to be applied

`running_time` (Number) –

Running time when the rate change should be applied

`upstream_running_time` (Number) –

The upstream-centric running-time when the rate change should be applied.

Returns (Gst.Event) –

the new instant-rate-sync-time event.

Since : 1.18

#### Gst.Event.new_instant_rate_sync_time

    def Gst.Event.new_instant_rate_sync_time (rate_multiplier, running_time, upstream_running_time):
        #python wrapper for 'gst_event_new_instant_rate_sync_time'

Create a new instant-rate-sync-time event. This event is sent by the pipeline to notify elements handling the instant-rate-change event about the running-time when the new rate should be applied. The running time may be in the past when elements handle this event, which can lead to switching artifacts. The magnitude of those depends on the exact timing of event delivery to each element and the magnitude of the change in playback rate being applied.

The running_time and upstream_running_time are the same if this is the first instant-rate adjustment, but will differ for later ones to compensate for the accumulated offset due to playing at a rate different to the one indicated in the playback segments.

Parameters:

`rate_multiplier` (float) –

the new playback rate multiplier to be applied

`running_time` (int) –

Running time when the rate change should be applied

`upstream_running_time` (int) –

The upstream-centric running-time when the rate change should be applied.

Returns (Gst.Event) –

the new instant-rate-sync-time event.

Since : 1.18

#### gst_event_new_latency

    GstEvent *
    gst_event_new_latency (GstClockTime latency)

Create a new latency event. The event is sent upstream from the sinks and notifies elements that they should add an additional latency to the running time before synchronising against the clock.

The latency is mostly used in live sinks and is always expressed in the time format.

Parameters:

`latency` –

the new latency value

Returns ( [transfer: full]) –

a new GstEvent

#### Gst.Event.prototype.new_latency

    function Gst.Event.prototype.new_latency(latency: Number): {
        // javascript wrapper for 'gst_event_new_latency'
    }

Create a new latency event. The event is sent upstream from the sinks and notifies elements that they should add an additional latency to the running time before synchronising against the clock.

The latency is mostly used in live sinks and is always expressed in the time format.

Parameters:

`latency` (Number) –

the new latency value

Returns (Gst.Event) –

a new Gst.Event

#### Gst.Event.new_latency

    def Gst.Event.new_latency (latency):
        #python wrapper for 'gst_event_new_latency'

Create a new latency event. The event is sent upstream from the sinks and notifies elements that they should add an additional latency to the running time before synchronising against the clock.

The latency is mostly used in live sinks and is always expressed in the time format.

Parameters:

`latency` (int) –

the new latency value

Returns (Gst.Event) –

a new Gst.Event

#### gst_event_new_protection

    GstEvent *
    gst_event_new_protection (const gchar * system_id,
                              GstBuffer * data,
                              const gchar * origin)

Creates a new event containing information specific to a particular protection system (uniquely identified by system_id), by which that protection system can acquire key(s) to decrypt a protected stream.

In order for a decryption element to decrypt media protected using a specific system, it first needs all the protection system specific information necessary to acquire the decryption key(s) for that stream. The functions defined here enable this information to be passed in events from elements that extract it (e.g., ISOBMFF demuxers, MPEG DASH demuxers) to protection decrypter elements that use it.

Events containing protection system specific information are created using gst_event_new_protection, and they can be parsed by downstream elements using gst_event_parse_protection.

In Common Encryption, protection system specific information may be located within ISOBMFF files, both in movie (moov) boxes and movie fragment (moof) boxes; it may also be contained in ContentProtection elements within MPEG DASH MPDs. The events created by gst_event_new_protection contain data identifying from which of these locations the encapsulated protection system specific information originated. This origin information is required as some protection systems use different encodings depending upon where the information originates.

The events returned by gst_event_new_protection are implemented in such a way as to ensure that the most recently-pushed protection info event of a particular origin and system_id will be stuck to the output pad of the sending element.

Parameters:

`system_id` ( [transfer: none]) –

a string holding a UUID that uniquely identifies a protection system.

`data` ( [transfer: none]) –

a GstBuffer holding protection system specific information. The reference count of the buffer will be incremented by one.

`origin` –

a string indicating where the protection information carried in the event was extracted from. The allowed values of this string will depend upon the protection scheme.

Returns ( [transfer: full]) –

a GST_EVENT_PROTECTION event.

Since : 1.6

#### Gst.Event.prototype.new_protection

    function Gst.Event.prototype.new_protection(system_id: String, data: Gst.Buffer, origin: String): {
        // javascript wrapper for 'gst_event_new_protection'
    }

Creates a new event containing information specific to a particular protection system (uniquely identified by system_id), by which that protection system can acquire key(s) to decrypt a protected stream.

In order for a decryption element to decrypt media protected using a specific system, it first needs all the protection system specific information necessary to acquire the decryption key(s) for that stream. The functions defined here enable this information to be passed in events from elements that extract it (e.g., ISOBMFF demuxers, MPEG DASH demuxers) to protection decrypter elements that use it.

Events containing protection system specific information are created using Gst.Event.prototype.new_protection, and they can be parsed by downstream elements using Gst.Event.prototype.parse_protection.

In Common Encryption, protection system specific information may be located within ISOBMFF files, both in movie (moov) boxes and movie fragment (moof) boxes; it may also be contained in ContentProtection elements within MPEG DASH MPDs. The events created by Gst.Event.prototype.new_protection contain data identifying from which of these locations the encapsulated protection system specific information originated. This origin information is required as some protection systems use different encodings depending upon where the information originates.

The events returned by Gst.Event.prototype.new_protection are implemented in such a way as to ensure that the most recently-pushed protection info event of a particular origin and system_id will be stuck to the output pad of the sending element.

Parameters:

`system_id` (String) –

a string holding a UUID that uniquely identifies a protection system.

`data` (Gst.Buffer) –

a Gst.Buffer holding protection system specific information. The reference count of the buffer will be incremented by one.

`origin` (String) –

a string indicating where the protection information carried in the event was extracted from. The allowed values of this string will depend upon the protection scheme.

Returns (Gst.Event) –

a Gst.EventType.PROTECTION event.

Since : 1.6

#### Gst.Event.new_protection

    def Gst.Event.new_protection (system_id, data, origin):
        #python wrapper for 'gst_event_new_protection'

Creates a new event containing information specific to a particular protection system (uniquely identified by system_id), by which that protection system can acquire key(s) to decrypt a protected stream.

In order for a decryption element to decrypt media protected using a specific system, it first needs all the protection system specific information necessary to acquire the decryption key(s) for that stream. The functions defined here enable this information to be passed in events from elements that extract it (e.g., ISOBMFF demuxers, MPEG DASH demuxers) to protection decrypter elements that use it.

Events containing protection system specific information are created using Gst.Event.new_protection, and they can be parsed by downstream elements using Gst.Event.parse_protection.

In Common Encryption, protection system specific information may be located within ISOBMFF files, both in movie (moov) boxes and movie fragment (moof) boxes; it may also be contained in ContentProtection elements within MPEG DASH MPDs. The events created by Gst.Event.new_protection contain data identifying from which of these locations the encapsulated protection system specific information originated. This origin information is required as some protection systems use different encodings depending upon where the information originates.

The events returned by Gst.Event.new_protection are implemented in such a way as to ensure that the most recently-pushed protection info event of a particular origin and system_id will be stuck to the output pad of the sending element.

Parameters:

`system_id` (str) –

a string holding a UUID that uniquely identifies a protection system.

`data` (Gst.Buffer) –

a Gst.Buffer holding protection system specific information. The reference count of the buffer will be incremented by one.

`origin` (str) –

a string indicating where the protection information carried in the event was extracted from. The allowed values of this string will depend upon the protection scheme.

Returns (Gst.Event) –

a Gst.EventType.PROTECTION event.

Since : 1.6

#### gst_event_new_qos

    GstEvent *
    gst_event_new_qos (GstQOSType type,
                       gdouble proportion,
                       GstClockTimeDiff diff,
                       GstClockTime timestamp)

Allocate a new qos event with the given values. The QOS event is generated in an element that wants an upstream element to either reduce or increase its rate because of high/low CPU load or other resource usage such as network performance or throttling. Typically sinks generate these events for each buffer they receive.

type indicates the reason for the QoS event. GST_QOS_TYPE_OVERFLOW is used when a buffer arrived in time or when the sink cannot keep up with the upstream datarate. GST_QOS_TYPE_UNDERFLOW is when the sink is not receiving buffers fast enough and thus has to drop late buffers. GST_QOS_TYPE_THROTTLE is used when the datarate is artificially limited by the application, for example to reduce power consumption.

proportion indicates the real-time performance of the streaming in the element that generated the QoS event (usually the sink). The value is generally computed based on more long term statistics about the streams timestamps compared to the clock. A value < 1.0 indicates that the upstream element is producing data faster than real-time. A value > 1.0 indicates that the upstream element is not producing data fast enough. 1.0 is the ideal proportion value. The proportion value can safely be used to lower or increase the quality of the element.

diff is the difference against the clock in running time of the last buffer that caused the element to generate the QOS event. A negative value means that the buffer with timestamp arrived in time. A positive value indicates how late the buffer with timestamp was. When throttling is enabled, diff will be set to the requested throttling interval.

timestamp is the timestamp of the last buffer that cause the element to generate the QOS event. It is expressed in running time and thus an ever increasing value.

The upstream element can use the diff and timestamp values to decide whether to process more buffers. For positive diff, all buffers with timestamp <= timestamp + diff will certainly arrive late in the sink as well. A (negative) diff value so that timestamp + diff would yield a result smaller than 0 is not allowed.

The application can use general event probes to intercept the QoS event and implement custom application specific QoS handling.

Parameters:

`type` –

the QoS type

`proportion` –

the proportion of the qos message

`diff` –

The time difference of the last Clock sync

`timestamp` –

The timestamp of the buffer

Returns ( [transfer: full]) –

a new QOS event.

#### Gst.Event.prototype.new_qos

    function Gst.Event.prototype.new_qos(type: Gst.QOSType, proportion: Number, diff: Number, timestamp: Number): {
        // javascript wrapper for 'gst_event_new_qos'
    }

Allocate a new qos event with the given values. The QOS event is generated in an element that wants an upstream element to either reduce or increase its rate because of high/low CPU load or other resource usage such as network performance or throttling. Typically sinks generate these events for each buffer they receive.

type indicates the reason for the QoS event. Gst.QOSType.OVERFLOW is used when a buffer arrived in time or when the sink cannot keep up with the upstream datarate. Gst.QOSType.UNDERFLOW is when the sink is not receiving buffers fast enough and thus has to drop late buffers. Gst.QOSType.THROTTLE is used when the datarate is artificially limited by the application, for example to reduce power consumption.

proportion indicates the real-time performance of the streaming in the element that generated the QoS event (usually the sink). The value is generally computed based on more long term statistics about the streams timestamps compared to the clock. A value < 1.0 indicates that the upstream element is producing data faster than real-time. A value > 1.0 indicates that the upstream element is not producing data fast enough. 1.0 is the ideal proportion value. The proportion value can safely be used to lower or increase the quality of the element.

diff is the difference against the clock in running time of the last buffer that caused the element to generate the QOS event. A negative value means that the buffer with timestamp arrived in time. A positive value indicates how late the buffer with timestamp was. When throttling is enabled, diff will be set to the requested throttling interval.

timestamp is the timestamp of the last buffer that cause the element to generate the QOS event. It is expressed in running time and thus an ever increasing value.

The upstream element can use the diff and timestamp values to decide whether to process more buffers. For positive diff, all buffers with timestamp <= timestamp + diff will certainly arrive late in the sink as well. A (negative) diff value so that timestamp + diff would yield a result smaller than 0 is not allowed.

The application can use general event probes to intercept the QoS event and implement custom application specific QoS handling.

Parameters:

`type` (Gst.QOSType) –

the QoS type

`proportion` (Number) –

the proportion of the qos message

`diff` (Number) –

The time difference of the last Clock sync

`timestamp` (Number) –

The timestamp of the buffer

Returns (Gst.Event) –

a new QOS event.

#### Gst.Event.new_qos

    def Gst.Event.new_qos (type, proportion, diff, timestamp):
        #python wrapper for 'gst_event_new_qos'

Allocate a new qos event with the given values. The QOS event is generated in an element that wants an upstream element to either reduce or increase its rate because of high/low CPU load or other resource usage such as network performance or throttling. Typically sinks generate these events for each buffer they receive.

type indicates the reason for the QoS event. Gst.QOSType.OVERFLOW is used when a buffer arrived in time or when the sink cannot keep up with the upstream datarate. Gst.QOSType.UNDERFLOW is when the sink is not receiving buffers fast enough and thus has to drop late buffers. Gst.QOSType.THROTTLE is used when the datarate is artificially limited by the application, for example to reduce power consumption.

proportion indicates the real-time performance of the streaming in the element that generated the QoS event (usually the sink). The value is generally computed based on more long term statistics about the streams timestamps compared to the clock. A value < 1.0 indicates that the upstream element is producing data faster than real-time. A value > 1.0 indicates that the upstream element is not producing data fast enough. 1.0 is the ideal proportion value. The proportion value can safely be used to lower or increase the quality of the element.

diff is the difference against the clock in running time of the last buffer that caused the element to generate the QOS event. A negative value means that the buffer with timestamp arrived in time. A positive value indicates how late the buffer with timestamp was. When throttling is enabled, diff will be set to the requested throttling interval.

timestamp is the timestamp of the last buffer that cause the element to generate the QOS event. It is expressed in running time and thus an ever increasing value.

The upstream element can use the diff and timestamp values to decide whether to process more buffers. For positive diff, all buffers with timestamp <= timestamp + diff will certainly arrive late in the sink as well. A (negative) diff value so that timestamp + diff would yield a result smaller than 0 is not allowed.

The application can use general event probes to intercept the QoS event and implement custom application specific QoS handling.

Parameters:

`type` (Gst.QOSType) –

the QoS type

`proportion` (float) –

the proportion of the qos message

`diff` (int) –

The time difference of the last Clock sync

`timestamp` (int) –

The timestamp of the buffer

Returns (Gst.Event) –

a new QOS event.

#### gst_event_new_reconfigure

    GstEvent *
    gst_event_new_reconfigure ()

Create a new reconfigure event. The purpose of the reconfigure event is to travel upstream and make elements renegotiate their caps or reconfigure their buffer pools. This is useful when changing properties on elements or changing the topology of the pipeline.

Returns ( [transfer: full]) –

a new GstEvent

#### Gst.Event.prototype.new_reconfigure

    function Gst.Event.prototype.new_reconfigure(): {
        // javascript wrapper for 'gst_event_new_reconfigure'
    }

Create a new reconfigure event. The purpose of the reconfigure event is to travel upstream and make elements renegotiate their caps or reconfigure their buffer pools. This is useful when changing properties on elements or changing the topology of the pipeline.

Returns (Gst.Event) –

a new Gst.Event

#### Gst.Event.new_reconfigure

    def Gst.Event.new_reconfigure ():
        #python wrapper for 'gst_event_new_reconfigure'

Create a new reconfigure event. The purpose of the reconfigure event is to travel upstream and make elements renegotiate their caps or reconfigure their buffer pools. This is useful when changing properties on elements or changing the topology of the pipeline.

Returns (Gst.Event) –

a new Gst.Event

#### gst_event_new_seek

    GstEvent *
    gst_event_new_seek (gdouble rate,
                        GstFormat format,
                        GstSeekFlags flags,
                        GstSeekType start_type,
                        gint64 start,
                        GstSeekType stop_type,
                        gint64 stop)

Allocate a new seek event with the given parameters.

The seek event configures playback of the pipeline between start to stop at the speed given in rate, also called a playback segment. The start and stop values are expressed in format.

A rate of 1.0 means normal playback rate, 2.0 means double speed. Negatives values means backwards playback. A value of 0.0 for the rate is not allowed and should be accomplished instead by PAUSING the pipeline.

A pipeline has a default playback segment configured with a start position of 0, a stop position of -1 and a rate of 1.0. The currently configured playback segment can be queried with GST_QUERY_SEGMENT.

start_type and stop_type specify how to adjust the currently configured start and stop fields in playback segment. Adjustments can be made relative or absolute to the last configured values. A type of GST_SEEK_TYPE_NONE means that the position should not be updated.

When the rate is positive and start has been updated, playback will start from the newly configured start position.

For negative rates, playback will start from the newly configured stop position (if any). If the stop position is updated, it must be different from -1 (#GST_CLOCK_TIME_NONE) for negative rates.

It is not possible to seek relative to the current playback position, to do this, PAUSE the pipeline, query the current playback position with GST_QUERY_POSITION and update the playback segment current position with a GST_SEEK_TYPE_SET to the desired position.

Parameters:

`rate` –

The new playback rate

`format` –

The format of the seek values

`flags` –

The optional seek flags

`start_type` –

The type and flags for the new start position

`start` –

The value of the new start position

`stop_type` –

The type and flags for the new stop position

`stop` –

The value of the new stop position

Returns ( [transfer: full]) –

a new seek event.

#### Gst.Event.prototype.new_seek

    function Gst.Event.prototype.new_seek(rate: Number, format: Gst.Format, flags: Gst.SeekFlags, start_type: Gst.SeekType, start: Number, stop_type: Gst.SeekType, stop: Number): {
        // javascript wrapper for 'gst_event_new_seek'
    }

Allocate a new seek event with the given parameters.

The seek event configures playback of the pipeline between start to stop at the speed given in rate, also called a playback segment. The start and stop values are expressed in format.

A rate of 1.0 means normal playback rate, 2.0 means double speed. Negatives values means backwards playback. A value of 0.0 for the rate is not allowed and should be accomplished instead by PAUSING the pipeline.

A pipeline has a default playback segment configured with a start position of 0, a stop position of -1 and a rate of 1.0. The currently configured playback segment can be queried with Gst.QueryType.SEGMENT.

start_type and stop_type specify how to adjust the currently configured start and stop fields in playback segment. Adjustments can be made relative or absolute to the last configured values. A type of Gst.SeekType.NONE means that the position should not be updated.

When the rate is positive and start has been updated, playback will start from the newly configured start position.

For negative rates, playback will start from the newly configured stop position (if any). If the stop position is updated, it must be different from -1 (#GST_CLOCK_TIME_NONE) for negative rates.

It is not possible to seek relative to the current playback position, to do this, PAUSE the pipeline, query the current playback position with Gst.QueryType.POSITION and update the playback segment current position with a Gst.SeekType.SET to the desired position.

Parameters:

`rate` (Number) –

The new playback rate

`format` (Gst.Format) –

The format of the seek values

`flags` (Gst.SeekFlags) –

The optional seek flags

`start_type` (Gst.SeekType) –

The type and flags for the new start position

`start` (Number) –

The value of the new start position

`stop_type` (Gst.SeekType) –

The type and flags for the new stop position

`stop` (Number) –

The value of the new stop position

Returns (Gst.Event) –

a new seek event.

#### Gst.Event.new_seek

    def Gst.Event.new_seek (rate, format, flags, start_type, start, stop_type, stop):
        #python wrapper for 'gst_event_new_seek'

Allocate a new seek event with the given parameters.

The seek event configures playback of the pipeline between start to stop at the speed given in rate, also called a playback segment. The start and stop values are expressed in format.

A rate of 1.0 means normal playback rate, 2.0 means double speed. Negatives values means backwards playback. A value of 0.0 for the rate is not allowed and should be accomplished instead by PAUSING the pipeline.

A pipeline has a default playback segment configured with a start position of 0, a stop position of -1 and a rate of 1.0. The currently configured playback segment can be queried with Gst.QueryType.SEGMENT.

start_type and stop_type specify how to adjust the currently configured start and stop fields in playback segment. Adjustments can be made relative or absolute to the last configured values. A type of Gst.SeekType.NONE means that the position should not be updated.

When the rate is positive and start has been updated, playback will start from the newly configured start position.

For negative rates, playback will start from the newly configured stop position (if any). If the stop position is updated, it must be different from -1 (#GST_CLOCK_TIME_NONE) for negative rates.

It is not possible to seek relative to the current playback position, to do this, PAUSE the pipeline, query the current playback position with Gst.QueryType.POSITION and update the playback segment current position with a Gst.SeekType.SET to the desired position.

Parameters:

`rate` (float) –

The new playback rate

`format` (Gst.Format) –

The format of the seek values

`flags` (Gst.SeekFlags) –

The optional seek flags

`start_type` (Gst.SeekType) –

The type and flags for the new start position

`start` (int) –

The value of the new start position

`stop_type` (Gst.SeekType) –

The type and flags for the new stop position

`stop` (int) –

The value of the new stop position

Returns (Gst.Event) –

a new seek event.

#### gst_event_new_segment

    GstEvent *
    gst_event_new_segment (const GstSegment * segment)

Create a new SEGMENT event for segment. The segment event can only travel downstream synchronized with the buffer flow and contains timing information and playback properties for the buffers that will follow.

The segment event marks the range of buffers to be processed. All data not within the segment range is not to be processed. This can be used intelligently by plugins to apply more efficient methods of skipping unneeded data. The valid range is expressed with the start and stop values.

The time value of the segment is used in conjunction with the start value to convert the buffer timestamps into the stream time. This is usually done in sinks to report the current stream_time. time represents the stream_time of a buffer carrying a timestamp of start. time cannot be -1.

start cannot be -1, stop can be -1. If there is a valid stop given, it must be greater or equal the start, including when the indicated playback rate is < 0.

The applied_rate value provides information about any rate adjustment that has already been made to the timestamps and content on the buffers of the stream. (@rate * applied_rate) should always equal the rate that has been requested for playback. For example, if an element has an input segment with intended playback rate of 2.0 and applied_rate of 1.0, it can adjust incoming timestamps and buffer content by half and output a segment event with rate of 1.0 and applied_rate of 2.0

After a segment event, the buffer stream time is calculated with:

time + (TIMESTAMP(buf) - start) * ABS (rate * applied_rate)

Parameters:

`segment` ( [transfer: none]) –

a GstSegment

Returns ( [transfer: full]) –

the new SEGMENT event.

#### Gst.Event.prototype.new_segment

    function Gst.Event.prototype.new_segment(segment: Gst.Segment): {
        // javascript wrapper for 'gst_event_new_segment'
    }

Create a new SEGMENT event for segment. The segment event can only travel downstream synchronized with the buffer flow and contains timing information and playback properties for the buffers that will follow.

The segment event marks the range of buffers to be processed. All data not within the segment range is not to be processed. This can be used intelligently by plugins to apply more efficient methods of skipping unneeded data. The valid range is expressed with the start and stop values.

The time value of the segment is used in conjunction with the start value to convert the buffer timestamps into the stream time. This is usually done in sinks to report the current stream_time. time represents the stream_time of a buffer carrying a timestamp of start. time cannot be -1.

start cannot be -1, stop can be -1. If there is a valid stop given, it must be greater or equal the start, including when the indicated playback rate is < 0.

The applied_rate value provides information about any rate adjustment that has already been made to the timestamps and content on the buffers of the stream. (@rate * applied_rate) should always equal the rate that has been requested for playback. For example, if an element has an input segment with intended playback rate of 2.0 and applied_rate of 1.0, it can adjust incoming timestamps and buffer content by half and output a segment event with rate of 1.0 and applied_rate of 2.0

After a segment event, the buffer stream time is calculated with:

time + (TIMESTAMP(buf) - start) * ABS (rate * applied_rate)

Parameters:

`segment` (Gst.Segment) –

a Gst.Segment

Returns (Gst.Event) –

the new SEGMENT event.

#### Gst.Event.new_segment

    def Gst.Event.new_segment (segment):
        #python wrapper for 'gst_event_new_segment'

Create a new SEGMENT event for segment. The segment event can only travel downstream synchronized with the buffer flow and contains timing information and playback properties for the buffers that will follow.

The segment event marks the range of buffers to be processed. All data not within the segment range is not to be processed. This can be used intelligently by plugins to apply more efficient methods of skipping unneeded data. The valid range is expressed with the start and stop values.

The time value of the segment is used in conjunction with the start value to convert the buffer timestamps into the stream time. This is usually done in sinks to report the current stream_time. time represents the stream_time of a buffer carrying a timestamp of start. time cannot be -1.

start cannot be -1, stop can be -1. If there is a valid stop given, it must be greater or equal the start, including when the indicated playback rate is < 0.

The applied_rate value provides information about any rate adjustment that has already been made to the timestamps and content on the buffers of the stream. (@rate * applied_rate) should always equal the rate that has been requested for playback. For example, if an element has an input segment with intended playback rate of 2.0 and applied_rate of 1.0, it can adjust incoming timestamps and buffer content by half and output a segment event with rate of 1.0 and applied_rate of 2.0

After a segment event, the buffer stream time is calculated with:

time + (TIMESTAMP(buf) - start) * ABS (rate * applied_rate)

Parameters:

`segment` (Gst.Segment) –

a Gst.Segment

Returns (Gst.Event) –

the new SEGMENT event.

#### gst_event_new_segment_done

    GstEvent *
    gst_event_new_segment_done (GstFormat format,
                                gint64 position)

Create a new segment-done event. This event is sent by elements that finish playback of a segment as a result of a segment seek.

Parameters:

`format` –

The format of the position being done

`position` –

The position of the segment being done

Returns ( [transfer: full]) –

a new GstEvent

#### Gst.Event.prototype.new_segment_done

    function Gst.Event.prototype.new_segment_done(format: Gst.Format, position: Number): {
        // javascript wrapper for 'gst_event_new_segment_done'
    }

Create a new segment-done event. This event is sent by elements that finish playback of a segment as a result of a segment seek.

Parameters:

`format` (Gst.Format) –

The format of the position being done

`position` (Number) –

The position of the segment being done

Returns (Gst.Event) –

a new Gst.Event

#### Gst.Event.new_segment_done

    def Gst.Event.new_segment_done (format, position):
        #python wrapper for 'gst_event_new_segment_done'

Create a new segment-done event. This event is sent by elements that finish playback of a segment as a result of a segment seek.

Parameters:

`format` (Gst.Format) –

The format of the position being done

`position` (int) –

The position of the segment being done

Returns (Gst.Event) –

a new Gst.Event

#### gst_event_new_select_streams

    GstEvent *
    gst_event_new_select_streams (GList * streams)

Allocate a new select-streams event.

The select-streams event requests the specified streams to be activated.

The list of streams corresponds to the "Stream ID" of each stream to be activated. Those ID can be obtained via the GstStream objects present in GST_EVENT_STREAM_START, GST_EVENT_STREAM_COLLECTION or GST_MESSAGE_STREAM_COLLECTION.

Note: The list of streams can not be empty.

Parameters:

`streams` ( [element-type utf8][transfer: none]) –

the list of streams to activate

Returns ( [transfer: full]) –

a new select-streams event.

Since : 1.10

#### Gst.Event.prototype.new_select_streams

    function Gst.Event.prototype.new_select_streams(streams: [ String ]): {
        // javascript wrapper for 'gst_event_new_select_streams'
    }

Allocate a new select-streams event.

The select-streams event requests the specified streams to be activated.

The list of streams corresponds to the "Stream ID" of each stream to be activated. Those ID can be obtained via the Gst.Stream objects present in Gst.EventType.STREAM_START, Gst.EventType.STREAM_COLLECTION or Gst.MessageType.STREAM_COLLECTION.

Note: The list of streams can not be empty.

Parameters:

`streams` ([ String ]) –

the list of streams to activate

Returns (Gst.Event) –

a new select-streams event.

Since : 1.10

#### Gst.Event.new_select_streams

    def Gst.Event.new_select_streams (streams):
        #python wrapper for 'gst_event_new_select_streams'

Allocate a new select-streams event.

The select-streams event requests the specified streams to be activated.

The list of streams corresponds to the "Stream ID" of each stream to be activated. Those ID can be obtained via the Gst.Stream objects present in Gst.EventType.STREAM_START, Gst.EventType.STREAM_COLLECTION or Gst.MessageType.STREAM_COLLECTION.

Note: The list of streams can not be empty.

Parameters:

`streams` ([ str ]) –

the list of streams to activate

Returns (Gst.Event) –

a new select-streams event.

Since : 1.10

#### gst_event_new_sink_message

    GstEvent *
    gst_event_new_sink_message (const gchar * name,
                                GstMessage * msg)

Create a new sink-message event. The purpose of the sink-message event is to instruct a sink to post the message contained in the event synchronized with the stream.

name is used to store multiple sticky events on one pad.

Parameters:

`name` –

a name for the event

`msg` ( [transfer: none]) –

the GstMessage to be posted

Returns ( [transfer: full]) –

a new GstEvent

#### Gst.Event.prototype.new_sink_message

    function Gst.Event.prototype.new_sink_message(name: String, msg: Gst.Message): {
        // javascript wrapper for 'gst_event_new_sink_message'
    }

Create a new sink-message event. The purpose of the sink-message event is to instruct a sink to post the message contained in the event synchronized with the stream.

name is used to store multiple sticky events on one pad.

Parameters:

`name` (String) –

a name for the event

`msg` (Gst.Message) –

the Gst.Message to be posted

Returns (Gst.Event) –

a new Gst.Event

#### Gst.Event.new_sink_message

    def Gst.Event.new_sink_message (name, msg):
        #python wrapper for 'gst_event_new_sink_message'

Create a new sink-message event. The purpose of the sink-message event is to instruct a sink to post the message contained in the event synchronized with the stream.

name is used to store multiple sticky events on one pad.

Parameters:

`name` (str) –

a name for the event

`msg` (Gst.Message) –

the Gst.Message to be posted

Returns (Gst.Event) –

a new Gst.Event

#### gst_event_new_step

    GstEvent *
    gst_event_new_step (GstFormat format,
                        guint64 amount,
                        gdouble rate,
                        gboolean flush,
                        gboolean intermediate)

Create a new step event. The purpose of the step event is to instruct a sink to skip amount (expressed in format) of media. It can be used to implement stepping through the video frame by frame or for doing fast trick modes.

A rate of <= 0.0 is not allowed. Pause the pipeline, for the effect of rate = 0.0 or first reverse the direction of playback using a seek event to get the same effect as rate < 0.0.

The flush flag will clear any pending data in the pipeline before starting the step operation.

The intermediate flag instructs the pipeline that this step operation is part of a larger step operation.

Parameters:

`format` –

the format of amount

`amount` –

the amount of data to step

`rate` –

the step rate

`flush` –

flushing steps

`intermediate` –

intermediate steps

Returns ( [transfer: full]) –

a new GstEvent

#### Gst.Event.prototype.new_step

    function Gst.Event.prototype.new_step(format: Gst.Format, amount: Number, rate: Number, flush: Number, intermediate: Number): {
        // javascript wrapper for 'gst_event_new_step'
    }

Create a new step event. The purpose of the step event is to instruct a sink to skip amount (expressed in format) of media. It can be used to implement stepping through the video frame by frame or for doing fast trick modes.

A rate of <= 0.0 is not allowed. Pause the pipeline, for the effect of rate = 0.0 or first reverse the direction of playback using a seek event to get the same effect as rate < 0.0.

The flush flag will clear any pending data in the pipeline before starting the step operation.

The intermediate flag instructs the pipeline that this step operation is part of a larger step operation.

Parameters:

`format` (Gst.Format) –

the format of amount

`amount` (Number) –

the amount of data to step

`rate` (Number) –

the step rate

`flush` (Number) –

flushing steps

`intermediate` (Number) –

intermediate steps

Returns (Gst.Event) –

a new Gst.Event

#### Gst.Event.new_step

    def Gst.Event.new_step (format, amount, rate, flush, intermediate):
        #python wrapper for 'gst_event_new_step'

Create a new step event. The purpose of the step event is to instruct a sink to skip amount (expressed in format) of media. It can be used to implement stepping through the video frame by frame or for doing fast trick modes.

A rate of <= 0.0 is not allowed. Pause the pipeline, for the effect of rate = 0.0 or first reverse the direction of playback using a seek event to get the same effect as rate < 0.0.

The flush flag will clear any pending data in the pipeline before starting the step operation.

The intermediate flag instructs the pipeline that this step operation is part of a larger step operation.

Parameters:

`format` (Gst.Format) –

the format of amount

`amount` (int) –

the amount of data to step

`rate` (float) –

the step rate

`flush` (bool) –

flushing steps

`intermediate` (bool) –

intermediate steps

Returns (Gst.Event) –

a new Gst.Event

#### gst_event_new_stream_collection

    GstEvent *
    gst_event_new_stream_collection (GstStreamCollection * collection)

Create a new STREAM_COLLECTION event. The stream collection event can only travel downstream synchronized with the buffer flow.

Source elements, demuxers and other elements that manage collections of streams and post GstStreamCollection messages on the bus also send this event downstream on each pad involved in the collection, so that activation of a new collection can be tracked through the downstream data flow.

Parameters:

`collection` ( [transfer: none]) –

Active collection for this data flow

Returns ( [transfer: full]) –

the new STREAM_COLLECTION event.

Since : 1.10

#### Gst.Event.prototype.new_stream_collection

    function Gst.Event.prototype.new_stream_collection(collection: Gst.StreamCollection): {
        // javascript wrapper for 'gst_event_new_stream_collection'
    }

Create a new STREAM_COLLECTION event. The stream collection event can only travel downstream synchronized with the buffer flow.

Source elements, demuxers and other elements that manage collections of streams and post Gst.StreamCollection messages on the bus also send this event downstream on each pad involved in the collection, so that activation of a new collection can be tracked through the downstream data flow.

Parameters:

`collection` (Gst.StreamCollection) –

Active collection for this data flow

Returns (Gst.Event) –

the new STREAM_COLLECTION event.

Since : 1.10

#### Gst.Event.new_stream_collection

    def Gst.Event.new_stream_collection (collection):
        #python wrapper for 'gst_event_new_stream_collection'

Create a new STREAM_COLLECTION event. The stream collection event can only travel downstream synchronized with the buffer flow.

Source elements, demuxers and other elements that manage collections of streams and post Gst.StreamCollection messages on the bus also send this event downstream on each pad involved in the collection, so that activation of a new collection can be tracked through the downstream data flow.

Parameters:

`collection` (Gst.StreamCollection) –

Active collection for this data flow

Returns (Gst.Event) –

the new STREAM_COLLECTION event.

Since : 1.10

#### gst_event_new_stream_group_done

    GstEvent *
    gst_event_new_stream_group_done (guint group_id)

Create a new Stream Group Done event. The stream-group-done event can only travel downstream synchronized with the buffer flow. Elements that receive the event on a pad should handle it mostly like EOS, and emit any data or pending buffers that would depend on more data arriving and unblock, since there won't be any more data.

This event is followed by EOS at some point in the future, and is generally used when switching pads - to unblock downstream so that new pads can be exposed before sending EOS on the existing pads.

Parameters:

`group_id` –

the group id of the stream group which is ending

Returns ( [transfer: full]) –

the new stream-group-done event.

Since : 1.10

#### Gst.Event.prototype.new_stream_group_done

    function Gst.Event.prototype.new_stream_group_done(group_id: Number): {
        // javascript wrapper for 'gst_event_new_stream_group_done'
    }

Create a new Stream Group Done event. The stream-group-done event can only travel downstream synchronized with the buffer flow. Elements that receive the event on a pad should handle it mostly like EOS, and emit any data or pending buffers that would depend on more data arriving and unblock, since there won't be any more data.

This event is followed by EOS at some point in the future, and is generally used when switching pads - to unblock downstream so that new pads can be exposed before sending EOS on the existing pads.

Parameters:

`group_id` (Number) –

the group id of the stream group which is ending

Returns (Gst.Event) –

the new stream-group-done event.

Since : 1.10

#### Gst.Event.new_stream_group_done

    def Gst.Event.new_stream_group_done (group_id):
        #python wrapper for 'gst_event_new_stream_group_done'

Create a new Stream Group Done event. The stream-group-done event can only travel downstream synchronized with the buffer flow. Elements that receive the event on a pad should handle it mostly like EOS, and emit any data or pending buffers that would depend on more data arriving and unblock, since there won't be any more data.

This event is followed by EOS at some point in the future, and is generally used when switching pads - to unblock downstream so that new pads can be exposed before sending EOS on the existing pads.

Parameters:

`group_id` (int) –

the group id of the stream group which is ending

Returns (Gst.Event) –

the new stream-group-done event.

Since : 1.10

#### gst_event_new_stream_start

    GstEvent *
    gst_event_new_stream_start (const gchar * stream_id)

Create a new STREAM_START event. The stream start event can only travel downstream synchronized with the buffer flow. It is expected to be the first event that is sent for a new stream.

Source elements, demuxers and other elements that create new streams are supposed to send this event as the first event of a new stream. It should not be sent after a flushing seek or in similar situations and is used to mark the beginning of a new logical stream. Elements combining multiple streams must ensure that this event is only forwarded downstream once and not for every single input stream.

The stream_id should be a unique string that consists of the upstream stream-id, / as separator and a unique stream-id for this specific stream. A new stream-id should only be created for a stream if the upstream stream is split into (potentially) multiple new streams, e.g. in a demuxer, but not for every single element in the pipeline. gst_pad_create_stream_id or gst_pad_create_stream_id_printf can be used to create a stream-id. There are no particular semantics for the stream-id, though it should be deterministic (to support stream matching) and it might be used to order streams (besides any information conveyed by stream flags).

Parameters:

`stream_id` –

Identifier for this stream

Returns ( [transfer: full]) –

the new STREAM_START event.

#### Gst.Event.prototype.new_stream_start

    function Gst.Event.prototype.new_stream_start(stream_id: String): {
        // javascript wrapper for 'gst_event_new_stream_start'
    }

Create a new STREAM_START event. The stream start event can only travel downstream synchronized with the buffer flow. It is expected to be the first event that is sent for a new stream.

Source elements, demuxers and other elements that create new streams are supposed to send this event as the first event of a new stream. It should not be sent after a flushing seek or in similar situations and is used to mark the beginning of a new logical stream. Elements combining multiple streams must ensure that this event is only forwarded downstream once and not for every single input stream.

The stream_id should be a unique string that consists of the upstream stream-id, / as separator and a unique stream-id for this specific stream. A new stream-id should only be created for a stream if the upstream stream is split into (potentially) multiple new streams, e.g. in a demuxer, but not for every single element in the pipeline. Gst.Pad.prototype.create_stream_id or gst_pad_create_stream_id_printf (not introspectable) can be used to create a stream-id. There are no particular semantics for the stream-id, though it should be deterministic (to support stream matching) and it might be used to order streams (besides any information conveyed by stream flags).

Parameters:

`stream_id` (String) –

Identifier for this stream

Returns (Gst.Event) –

the new STREAM_START event.

#### Gst.Event.new_stream_start

    def Gst.Event.new_stream_start (stream_id):
        #python wrapper for 'gst_event_new_stream_start'

Create a new STREAM_START event. The stream start event can only travel downstream synchronized with the buffer flow. It is expected to be the first event that is sent for a new stream.

Source elements, demuxers and other elements that create new streams are supposed to send this event as the first event of a new stream. It should not be sent after a flushing seek or in similar situations and is used to mark the beginning of a new logical stream. Elements combining multiple streams must ensure that this event is only forwarded downstream once and not for every single input stream.

The stream_id should be a unique string that consists of the upstream stream-id, / as separator and a unique stream-id for this specific stream. A new stream-id should only be created for a stream if the upstream stream is split into (potentially) multiple new streams, e.g. in a demuxer, but not for every single element in the pipeline. Gst.Pad.create_stream_id or gst_pad_create_stream_id_printf (not introspectable) can be used to create a stream-id. There are no particular semantics for the stream-id, though it should be deterministic (to support stream matching) and it might be used to order streams (besides any information conveyed by stream flags).

Parameters:

`stream_id` (str) –

Identifier for this stream

Returns (Gst.Event) –

the new STREAM_START event.

#### gst_event_new_tag

    GstEvent *
    gst_event_new_tag (GstTagList * taglist)

Generates a metadata tag event from the given taglist.

The scope of the taglist specifies if the taglist applies to the complete medium or only to this specific stream. As the tag event is a sticky event, elements should merge tags received from upstream with a given scope with their own tags with the same scope and create a new tag event from it.

Parameters:

`taglist` ( [transfer: full]) –

metadata list. The event will take ownership of the taglist.

Returns ( [transfer: full]) –

a new GstEvent

#### Gst.Event.prototype.new_tag

    function Gst.Event.prototype.new_tag(taglist: Gst.TagList): {
        // javascript wrapper for 'gst_event_new_tag'
    }

Generates a metadata tag event from the given taglist.

The scope of the taglist specifies if the taglist applies to the complete medium or only to this specific stream. As the tag event is a sticky event, elements should merge tags received from upstream with a given scope with their own tags with the same scope and create a new tag event from it.

Parameters:

`taglist` (Gst.TagList) –

metadata list. The event will take ownership of the taglist.

Returns (Gst.Event) –

a new Gst.Event

#### Gst.Event.new_tag

    def Gst.Event.new_tag (taglist):
        #python wrapper for 'gst_event_new_tag'

Generates a metadata tag event from the given taglist.

The scope of the taglist specifies if the taglist applies to the complete medium or only to this specific stream. As the tag event is a sticky event, elements should merge tags received from upstream with a given scope with their own tags with the same scope and create a new tag event from it.

Parameters:

`taglist` (Gst.TagList) –

metadata list. The event will take ownership of the taglist.

Returns (Gst.Event) –

a new Gst.Event

### Methods

#### gst_event_copy

    GstEvent *
    gst_event_copy (const GstEvent * event)

Copy the event using the event specific copy function.

Parameters:

`event` –

The event to copy

Returns ( [transfer: full]) –

the new event

#### gst_event_copy_segment

    gst_event_copy_segment (GstEvent * event,
                            GstSegment * segment)

Parses a segment event and copies the GstSegment into the location given by segment.

Parameters:

`event` –

The event to parse

`segment` –

a pointer to a GstSegment

#### Gst.Event.prototype.copy_segment

    function Gst.Event.prototype.copy_segment(segment: Gst.Segment): {
        // javascript wrapper for 'gst_event_copy_segment'
    }

Parses a segment event and copies the Gst.Segment into the location given by segment.

Parameters:

`event` (Gst.Event) –

The event to parse

`segment` (Gst.Segment) –

a pointer to a Gst.Segment

#### Gst.Event.copy_segment

    def Gst.Event.copy_segment (self, segment):
        #python wrapper for 'gst_event_copy_segment'

Parses a segment event and copies the Gst.Segment into the location given by segment.

Parameters:

`event` (Gst.Event) –

The event to parse

`segment` (Gst.Segment) –

a pointer to a Gst.Segment

#### gst_event_get_running_time_offset

    gint64
    gst_event_get_running_time_offset (GstEvent * event)

Retrieve the accumulated running time offset of the event.

Events passing through GstPad that have a running time offset set via gst_pad_set_offset will get their offset adjusted according to the pad's offset.

If the event contains any information that related to the running time, this information will need to be updated before usage with this offset.

Parameters:

`event` –

A GstEvent.

Returns –

The event's running time offset

MT safe.

Since : 1.4

#### Gst.Event.prototype.get_running_time_offset

    function Gst.Event.prototype.get_running_time_offset(): {
        // javascript wrapper for 'gst_event_get_running_time_offset'
    }

Retrieve the accumulated running time offset of the event.

Events passing through Gst.Pad that have a running time offset set via Gst.Pad.prototype.set_offset will get their offset adjusted according to the pad's offset.

If the event contains any information that related to the running time, this information will need to be updated before usage with this offset.

Parameters:

`event` (Gst.Event) –

A Gst.Event.

Returns (Number) –

The event's running time offset

MT safe.

Since : 1.4

#### Gst.Event.get_running_time_offset

    def Gst.Event.get_running_time_offset (self):
        #python wrapper for 'gst_event_get_running_time_offset'

Retrieve the accumulated running time offset of the event.

Events passing through Gst.Pad that have a running time offset set via Gst.Pad.set_offset will get their offset adjusted according to the pad's offset.

If the event contains any information that related to the running time, this information will need to be updated before usage with this offset.

Parameters:

`event` (Gst.Event) –

A Gst.Event.

Returns (int) –

The event's running time offset

MT safe.

Since : 1.4

#### gst_event_get_seqnum

    guint32
    gst_event_get_seqnum (GstEvent * event)

Retrieve the sequence number of a event.

Events have ever-incrementing sequence numbers, which may also be set explicitly via gst_event_set_seqnum. Sequence numbers are typically used to indicate that a event corresponds to some other set of events or messages, for example an EOS event corresponding to a SEEK event. It is considered good practice to make this correspondence when possible, though it is not required.

Note that events and messages share the same sequence number incrementor; two events or messages will never have the same sequence number unless that correspondence was made explicitly.

Parameters:

`event` –

A GstEvent.

Returns –

The event's sequence number.

MT safe.

#### Gst.Event.prototype.get_seqnum

    function Gst.Event.prototype.get_seqnum(): {
        // javascript wrapper for 'gst_event_get_seqnum'
    }

Retrieve the sequence number of a event.

Events have ever-incrementing sequence numbers, which may also be set explicitly via Gst.Event.prototype.set_seqnum. Sequence numbers are typically used to indicate that a event corresponds to some other set of events or messages, for example an EOS event corresponding to a SEEK event. It is considered good practice to make this correspondence when possible, though it is not required.

Note that events and messages share the same sequence number incrementor; two events or messages will never have the same sequence number unless that correspondence was made explicitly.

Parameters:

`event` (Gst.Event) –

A Gst.Event.

Returns (Number) –

The event's sequence number.

MT safe.

#### Gst.Event.get_seqnum

    def Gst.Event.get_seqnum (self):
        #python wrapper for 'gst_event_get_seqnum'

Retrieve the sequence number of a event.

Events have ever-incrementing sequence numbers, which may also be set explicitly via Gst.Event.set_seqnum. Sequence numbers are typically used to indicate that a event corresponds to some other set of events or messages, for example an EOS event corresponding to a SEEK event. It is considered good practice to make this correspondence when possible, though it is not required.

Note that events and messages share the same sequence number incrementor; two events or messages will never have the same sequence number unless that correspondence was made explicitly.

Parameters:

`event` (Gst.Event) –

A Gst.Event.

Returns (int) –

The event's sequence number.

MT safe.

#### gst_event_get_structure

    const GstStructure *
    gst_event_get_structure (GstEvent * event)

Access the structure of the event.

Parameters:

`event` –

The GstEvent.

Returns ( [transfer: none][nullable]) –

The structure of the event. The structure is still owned by the event, which means that you should not free it and that the pointer becomes invalid when you free the event.

MT safe.

#### Gst.Event.prototype.get_structure

    function Gst.Event.prototype.get_structure(): {
        // javascript wrapper for 'gst_event_get_structure'
    }

Access the structure of the event.

Parameters:

`event` (Gst.Event) –

The Gst.Event.

Returns (Gst.Structure) –

The structure of the event. The structure is still owned by the event, which means that you should not free it and that the pointer becomes invalid when you free the event.

MT safe.

#### Gst.Event.get_structure

    def Gst.Event.get_structure (self):
        #python wrapper for 'gst_event_get_structure'

Access the structure of the event.

Parameters:

`event` (Gst.Event) –

The Gst.Event.

Returns (Gst.Structure) –

The structure of the event. The structure is still owned by the event, which means that you should not free it and that the pointer becomes invalid when you free the event.

MT safe.

#### gst_event_has_name

    gboolean
    gst_event_has_name (GstEvent * event,
                        const gchar * name)

Checks if event has the given name. This function is usually used to check the name of a custom event.

Parameters:

`event` –

The GstEvent.

`name` –

name to check

Returns –

TRUE if name matches the name of the event structure.

#### Gst.Event.prototype.has_name

    function Gst.Event.prototype.has_name(name: String): {
        // javascript wrapper for 'gst_event_has_name'
    }

Checks if event has the given name. This function is usually used to check the name of a custom event.

Parameters:

`event` (Gst.Event) –

The Gst.Event.

`name` (String) –

name to check

Returns (Number) –

true if name matches the name of the event structure.

#### Gst.Event.has_name

    def Gst.Event.has_name (self, name):
        #python wrapper for 'gst_event_has_name'

Checks if event has the given name. This function is usually used to check the name of a custom event.

Parameters:

`event` (Gst.Event) –

The Gst.Event.

`name` (str) –

name to check

Returns (bool) –

True if name matches the name of the event structure.

#### gst_event_has_name_id

    gboolean
    gst_event_has_name_id (GstEvent * event,
                           GQuark name)

Checks if event has the given name. This function is usually used to check the name of a custom event.

Parameters:

`event` –

The GstEvent.

`name` –

name to check as a GQuark

Returns –

TRUE if name matches the name of the event structure.

Since : 1.18

deprecated : 1.26: Use gst_event_has_name().

#### Gst.Event.prototype.has_name_id

    function Gst.Event.prototype.has_name_id(name: GLib.Quark): {
        // javascript wrapper for 'gst_event_has_name_id'
    }

Checks if event has the given name. This function is usually used to check the name of a custom event.

Parameters:

`event` (Gst.Event) –

The Gst.Event.

`name` (GLib.Quark) –

name to check as a GQuark

Returns (Number) –

true if name matches the name of the event structure.

Since : 1.18

deprecated : 1.26: Use gst_event_has_name().

#### Gst.Event.has_name_id

    def Gst.Event.has_name_id (self, name):
        #python wrapper for 'gst_event_has_name_id'

Checks if event has the given name. This function is usually used to check the name of a custom event.

Parameters:

`event` (Gst.Event) –

The Gst.Event.

`name` (GLib.Quark) –

name to check as a GQuark

Returns (bool) –

True if name matches the name of the event structure.

Since : 1.18

deprecated : 1.26: Use gst_event_has_name().

#### gst_event_is_writable

    gboolean
    gst_event_is_writable (const GstEvent * event)

Tests if you can safely modify event. It is only safe to modify event when there is only one owner of the event - ie, the object is writable.

Parameters:

`event` –

a GstEvent

Returns –
No description available

#### Gst.Event.prototype.is_writable

    function Gst.Event.prototype.is_writable(): {
        // javascript wrapper for 'gst_event_is_writable'
    }

Tests if you can safely modify event. It is only safe to modify event when there is only one owner of the event - ie, the object is writable.

Parameters:

`event` (Gst.Event) –

a Gst.Event

Returns (Number) –
No description available

#### Gst.Event.is_writable

    def Gst.Event.is_writable (self):
        #python wrapper for 'gst_event_is_writable'

Tests if you can safely modify event. It is only safe to modify event when there is only one owner of the event - ie, the object is writable.

Parameters:

`event` (Gst.Event) –

a Gst.Event

Returns (bool) –
No description available

#### gst_event_make_writable

    GstEvent *
    gst_event_make_writable (GstEvent * event)

Returns a writable copy of event.

If there is only one reference count on event, the caller must be the owner, and so this function will return the event object unchanged. If on the other hand there is more than one reference on the object, a new event object will be returned. The caller's reference on event will be removed, and instead the caller will own a reference to the returned object.

In short, this function unrefs the event in the argument and refs the event that it returns. Don't access the argument after calling this function. See also: gst_event_ref.

Parameters:

`event` ( [transfer: full]) –

a GstEvent

Returns ( [transfer: full]) –

a writable event which may or may not be the same as event

#### Gst.Event.prototype.make_writable

    function Gst.Event.prototype.make_writable(): {
        // javascript wrapper for 'gst_event_make_writable'
    }

Returns a writable copy of event.

If there is only one reference count on event, the caller must be the owner, and so this function will return the event object unchanged. If on the other hand there is more than one reference on the object, a new event object will be returned. The caller's reference on event will be removed, and instead the caller will own a reference to the returned object.

In short, this function unrefs the event in the argument and refs the event that it returns. Don't access the argument after calling this function. See also: gst_event_ref (not introspectable).

Parameters:

`event` (Gst.Event) –

a Gst.Event

Returns (Gst.Event) –

a writable event which may or may not be the same as event

#### Gst.Event.make_writable

    def Gst.Event.make_writable (self):
        #python wrapper for 'gst_event_make_writable'

Returns a writable copy of event.

If there is only one reference count on event, the caller must be the owner, and so this function will return the event object unchanged. If on the other hand there is more than one reference on the object, a new event object will be returned. The caller's reference on event will be removed, and instead the caller will own a reference to the returned object.

In short, this function unrefs the event in the argument and refs the event that it returns. Don't access the argument after calling this function. See also: gst_event_ref (not introspectable).

Parameters:

`event` (Gst.Event) –

a Gst.Event

Returns (Gst.Event) –

a writable event which may or may not be the same as event

#### gst_event_parse_buffer_size

    gst_event_parse_buffer_size (GstEvent * event,
                                 GstFormat * format,
                                 gint64 * minsize,
                                 gint64 * maxsize,
                                 gboolean * async)

Get the format, minsize, maxsize and async-flag in the buffersize event.

Parameters:

`event` –

The event to query

`format` ( [out][optional]) –

A pointer to store the format in

`minsize` ( [out][optional]) –

A pointer to store the minsize in

`maxsize` ( [out][optional]) –

A pointer to store the maxsize in

`async` ( [out][optional]) –

A pointer to store the async-flag in

#### Gst.Event.prototype.parse_buffer_size

    function Gst.Event.prototype.parse_buffer_size(): {
        // javascript wrapper for 'gst_event_parse_buffer_size'
    }

Get the format, minsize, maxsize and async-flag in the buffersize event.

Parameters:

`event` (Gst.Event) –

The event to query

#### Gst.Event.parse_buffer_size

    def Gst.Event.parse_buffer_size (self):
        #python wrapper for 'gst_event_parse_buffer_size'

Get the format, minsize, maxsize and async-flag in the buffersize event.

Parameters:

`event` (Gst.Event) –

The event to query

#### gst_event_parse_caps

    gst_event_parse_caps (GstEvent * event,
                          GstCaps ** caps)

Get the caps from event. The caps remains valid as long as event remains valid.

Parameters:

`event` –

The event to parse

`caps` ( [out][optional][transfer: none]) –

A pointer to the caps

#### Gst.Event.prototype.parse_caps

    function Gst.Event.prototype.parse_caps(): {
        // javascript wrapper for 'gst_event_parse_caps'
    }

Get the caps from event. The caps remains valid as long as event remains valid.

Parameters:

`event` (Gst.Event) –

The event to parse

#### Gst.Event.parse_caps

    def Gst.Event.parse_caps (self):
        #python wrapper for 'gst_event_parse_caps'

Get the caps from event. The caps remains valid as long as event remains valid.

Parameters:

`event` (Gst.Event) –

The event to parse

#### gst_event_parse_flush_stop

    gst_event_parse_flush_stop (GstEvent * event,
                                gboolean * reset_time)

Parse the FLUSH_STOP event and retrieve the reset_time member.

Parameters:

`event` –

The event to parse

`reset_time` ( [out][optional]) –

if time should be reset

#### Gst.Event.prototype.parse_flush_stop

    function Gst.Event.prototype.parse_flush_stop(): {
        // javascript wrapper for 'gst_event_parse_flush_stop'
    }

Parse the FLUSH_STOP event and retrieve the reset_time member.

Parameters:

`event` (Gst.Event) –

The event to parse

#### Gst.Event.parse_flush_stop

    def Gst.Event.parse_flush_stop (self):
        #python wrapper for 'gst_event_parse_flush_stop'

Parse the FLUSH_STOP event and retrieve the reset_time member.

Parameters:

`event` (Gst.Event) –

The event to parse

#### gst_event_parse_gap

    gst_event_parse_gap (GstEvent * event,
                         GstClockTime * timestamp,
                         GstClockTime * duration)

Extract timestamp and duration from a new GAP event.

Parameters:

`event` –

a GstEvent of type GST_EVENT_GAP

`timestamp` ( [out][optional]) –

location where to store the start time (pts) of the gap, or NULL

`duration` ( [out][optional]) –

location where to store the duration of the gap, or NULL

#### Gst.Event.prototype.parse_gap

    function Gst.Event.prototype.parse_gap(): {
        // javascript wrapper for 'gst_event_parse_gap'
    }

Extract timestamp and duration from a new GAP event.

Parameters:

`event` (Gst.Event) –

a Gst.Event of type Gst.EventType.GAP

#### Gst.Event.parse_gap

    def Gst.Event.parse_gap (self):
        #python wrapper for 'gst_event_parse_gap'

Extract timestamp and duration from a new GAP event.

Parameters:

`event` (Gst.Event) –

a Gst.Event of type Gst.EventType.GAP

#### gst_event_parse_gap_flags

    gst_event_parse_gap_flags (GstEvent * event,
                               GstGapFlags * flags)

Retrieve the gap flags that may have been set on a gap event with gst_event_set_gap_flags.

Parameters:

`event` –

a GstEvent of type GST_EVENT_GAP

`flags` ( [out][optional]) –

a GstGapFlags or NULL

Since : 1.20

#### Gst.Event.prototype.parse_gap_flags

    function Gst.Event.prototype.parse_gap_flags(): {
        // javascript wrapper for 'gst_event_parse_gap_flags'
    }

Retrieve the gap flags that may have been set on a gap event with Gst.Event.prototype.set_gap_flags.

Parameters:

`event` (Gst.Event) –

a Gst.Event of type Gst.EventType.GAP

Since : 1.20

#### Gst.Event.parse_gap_flags

    def Gst.Event.parse_gap_flags (self):
        #python wrapper for 'gst_event_parse_gap_flags'

Retrieve the gap flags that may have been set on a gap event with Gst.Event.set_gap_flags.

Parameters:

`event` (Gst.Event) –

a Gst.Event of type Gst.EventType.GAP

Since : 1.20

#### gst_event_parse_group_id

    gboolean
    gst_event_parse_group_id (GstEvent * event,
                              guint * group_id)

Parameters:

`event` –

a stream-start event

`group_id` ( [out][optional]) –

address of variable where to store the group id

Returns –

TRUE if a group id was set on the event and could be parsed, FALSE otherwise.

Since : 1.2

#### Gst.Event.prototype.parse_group_id

    function Gst.Event.prototype.parse_group_id(): {
        // javascript wrapper for 'gst_event_parse_group_id'
    }

Parameters:

`event` (Gst.Event) –

a stream-start event

Returns a tuple made of:

(Number ) –

true if a group id was set on the event and could be parsed, false otherwise.

`group_id` (Number ) –

true if a group id was set on the event and could be parsed, false otherwise.

Since : 1.2

#### Gst.Event.parse_group_id

    def Gst.Event.parse_group_id (self):
        #python wrapper for 'gst_event_parse_group_id'

Parameters:

`event` (Gst.Event) –

a stream-start event

Returns a tuple made of:

(bool ) –

True if a group id was set on the event and could be parsed, False otherwise.

`group_id` (int ) –

True if a group id was set on the event and could be parsed, False otherwise.

Since : 1.2

#### gst_event_parse_instant_rate_change

    gst_event_parse_instant_rate_change (GstEvent * event,
                                         gdouble * rate_multiplier,
                                         GstSegmentFlags * new_flags)

Extract rate and flags from an instant-rate-change event.

Parameters:

`event` –

a GstEvent of type GST_EVENT_INSTANT_RATE_CHANGE

`rate_multiplier` ( [out][optional]) –

location in which to store the rate multiplier of the instant-rate-change event, or NULL

`new_flags` ( [out][optional]) –

location in which to store the new segment flags of the instant-rate-change event, or NULL

Since : 1.18

#### Gst.Event.prototype.parse_instant_rate_change

    function Gst.Event.prototype.parse_instant_rate_change(): {
        // javascript wrapper for 'gst_event_parse_instant_rate_change'
    }

Extract rate and flags from an instant-rate-change event.

Parameters:

`event` (Gst.Event) –

a Gst.Event of type Gst.EventType.INSTANT_RATE_CHANGE

Since : 1.18

#### Gst.Event.parse_instant_rate_change

    def Gst.Event.parse_instant_rate_change (self):
        #python wrapper for 'gst_event_parse_instant_rate_change'

Extract rate and flags from an instant-rate-change event.

Parameters:

`event` (Gst.Event) –

a Gst.Event of type Gst.EventType.INSTANT_RATE_CHANGE

Since : 1.18

#### gst_event_parse_instant_rate_sync_time

    gst_event_parse_instant_rate_sync_time (GstEvent * event,
                                            gdouble * rate_multiplier,
                                            GstClockTime * running_time,
                                            GstClockTime * upstream_running_time)

Extract the rate multiplier and running times from an instant-rate-sync-time event.

Parameters:

`event` –

a GstEvent of type GST_EVENT_INSTANT_RATE_CHANGE

`rate_multiplier` ( [out][optional]) –

location where to store the rate of the instant-rate-sync-time event, or NULL

`running_time` ( [out][optional]) –

location in which to store the running time of the instant-rate-sync-time event, or NULL

`upstream_running_time` ( [out][optional]) –

location in which to store the upstream running time of the instant-rate-sync-time event, or NULL

Since : 1.18

#### Gst.Event.prototype.parse_instant_rate_sync_time

    function Gst.Event.prototype.parse_instant_rate_sync_time(): {
        // javascript wrapper for 'gst_event_parse_instant_rate_sync_time'
    }

Extract the rate multiplier and running times from an instant-rate-sync-time event.

Parameters:

`event` (Gst.Event) –

a Gst.Event of type Gst.EventType.INSTANT_RATE_CHANGE

Since : 1.18

#### Gst.Event.parse_instant_rate_sync_time

    def Gst.Event.parse_instant_rate_sync_time (self):
        #python wrapper for 'gst_event_parse_instant_rate_sync_time'

Extract the rate multiplier and running times from an instant-rate-sync-time event.

Parameters:

`event` (Gst.Event) –

a Gst.Event of type Gst.EventType.INSTANT_RATE_CHANGE

Since : 1.18

#### gst_event_parse_latency

    gst_event_parse_latency (GstEvent * event,
                             GstClockTime * latency)

Get the latency in the latency event.

Parameters:

`event` –

The event to query

`latency` ( [out][optional]) –

A pointer to store the latency in.

#### Gst.Event.prototype.parse_latency

    function Gst.Event.prototype.parse_latency(): {
        // javascript wrapper for 'gst_event_parse_latency'
    }

Get the latency in the latency event.

Parameters:

`event` (Gst.Event) –

The event to query

#### Gst.Event.parse_latency

    def Gst.Event.parse_latency (self):
        #python wrapper for 'gst_event_parse_latency'

Get the latency in the latency event.

Parameters:

`event` (Gst.Event) –

The event to query

#### gst_event_parse_protection

    gst_event_parse_protection (GstEvent * event,
                                const gchar ** system_id,
                                GstBuffer ** data,
                                const gchar ** origin)

Parses an event containing protection system specific information and stores the results in system_id, data and origin. The data stored in system_id, origin and data are valid until event is released.

Parameters:

`event` –

a GST_EVENT_PROTECTION event.

`system_id` ( [out][optional][transfer: none]) –

pointer to store the UUID string uniquely identifying a content protection system.

`data` ( [out][optional][transfer: none]) –

pointer to store a GstBuffer holding protection system specific information.

`origin` ( [out][optional][transfer: none]) –

pointer to store a value that indicates where the protection information carried by event was extracted from.

Since : 1.6

#### Gst.Event.prototype.parse_protection

    function Gst.Event.prototype.parse_protection(): {
        // javascript wrapper for 'gst_event_parse_protection'
    }

Parses an event containing protection system specific information and stores the results in system_id, data and origin. The data stored in system_id, origin and data are valid until event is released.

Parameters:

`event` (Gst.Event) –

a Gst.EventType.PROTECTION event.

Since : 1.6

#### Gst.Event.parse_protection

    def Gst.Event.parse_protection (self):
        #python wrapper for 'gst_event_parse_protection'

Parses an event containing protection system specific information and stores the results in system_id, data and origin. The data stored in system_id, origin and data are valid until event is released.

Parameters:

`event` (Gst.Event) –

a Gst.EventType.PROTECTION event.

Since : 1.6

#### gst_event_parse_qos

    gst_event_parse_qos (GstEvent * event,
                         GstQOSType * type,
                         gdouble * proportion,
                         GstClockTimeDiff * diff,
                         GstClockTime * timestamp)

Get the type, proportion, diff and timestamp in the qos event. See gst_event_new_qos for more information about the different QoS values.

timestamp will be adjusted for any pad offsets of pads it was passing through.

Parameters:

`event` –

The event to query

`type` ( [out][optional]) –

A pointer to store the QoS type in

`proportion` ( [out][optional]) –

A pointer to store the proportion in

`diff` ( [out][optional]) –

A pointer to store the diff in

`timestamp` ( [out][optional]) –

A pointer to store the timestamp in

#### Gst.Event.prototype.parse_qos

    function Gst.Event.prototype.parse_qos(): {
        // javascript wrapper for 'gst_event_parse_qos'
    }

Get the type, proportion, diff and timestamp in the qos event. See Gst.Event.prototype.new_qos for more information about the different QoS values.

timestamp will be adjusted for any pad offsets of pads it was passing through.

Parameters:

`event` (Gst.Event) –

The event to query

#### Gst.Event.parse_qos

    def Gst.Event.parse_qos (self):
        #python wrapper for 'gst_event_parse_qos'

Get the type, proportion, diff and timestamp in the qos event. See Gst.Event.new_qos for more information about the different QoS values.

timestamp will be adjusted for any pad offsets of pads it was passing through.

Parameters:

`event` (Gst.Event) –

The event to query

#### gst_event_parse_seek

    gst_event_parse_seek (GstEvent * event,
                          gdouble * rate,
                          GstFormat * format,
                          GstSeekFlags * flags,
                          GstSeekType * start_type,
                          gint64 * start,
                          GstSeekType * stop_type,
                          gint64 * stop)

Parses a seek event and stores the results in the given result locations.

Parameters:

`event` –

a seek event

`rate` ( [out][optional]) –

result location for the rate

`format` ( [out][optional]) –

result location for the stream format

`flags` ( [out][optional]) –

result location for the GstSeekFlags

`start_type` ( [out][optional]) –

result location for the GstSeekType of the start position

`start` ( [out][optional]) –

result location for the start position expressed in format

`stop_type` ( [out][optional]) –

result location for the GstSeekType of the stop position

`stop` ( [out][optional]) –

result location for the stop position expressed in format

#### Gst.Event.prototype.parse_seek

    function Gst.Event.prototype.parse_seek(): {
        // javascript wrapper for 'gst_event_parse_seek'
    }

Parses a seek event and stores the results in the given result locations.

Parameters:

`event` (Gst.Event) –

a seek event

#### Gst.Event.parse_seek

    def Gst.Event.parse_seek (self):
        #python wrapper for 'gst_event_parse_seek'

Parses a seek event and stores the results in the given result locations.

Parameters:

`event` (Gst.Event) –

a seek event

#### gst_event_parse_seek_trickmode_interval

    gst_event_parse_seek_trickmode_interval (GstEvent * event,
                                             GstClockTime * interval)

Retrieve the trickmode interval that may have been set on a seek event with gst_event_set_seek_trickmode_interval.

Parameters:

`event` –
No description available
`interval` ( [out][optional]) –

interval

Since : 1.16

#### Gst.Event.prototype.parse_seek_trickmode_interval

    function Gst.Event.prototype.parse_seek_trickmode_interval(): {
        // javascript wrapper for 'gst_event_parse_seek_trickmode_interval'
    }

Retrieve the trickmode interval that may have been set on a seek event with Gst.Event.prototype.set_seek_trickmode_interval.

Parameters:

`event` (Gst.Event) –
No description available

Since : 1.16

#### Gst.Event.parse_seek_trickmode_interval

    def Gst.Event.parse_seek_trickmode_interval (self):
        #python wrapper for 'gst_event_parse_seek_trickmode_interval'

Retrieve the trickmode interval that may have been set on a seek event with Gst.Event.set_seek_trickmode_interval.

Parameters:

`event` (Gst.Event) –
No description available

Since : 1.16

#### gst_event_parse_segment

    gst_event_parse_segment (GstEvent * event,
                             const GstSegment ** segment)

Parses a segment event and stores the result in the given segment location. segment remains valid only until the event is freed. Don't modify the segment and make a copy if you want to modify it or store it for later use.

Parameters:

`event` –

The event to parse

`segment` ( [out][optional][transfer: none]) –

a pointer to a GstSegment

#### Gst.Event.prototype.parse_segment

    function Gst.Event.prototype.parse_segment(): {
        // javascript wrapper for 'gst_event_parse_segment'
    }

Parses a segment event and stores the result in the given segment location. segment remains valid only until the event is freed. Don't modify the segment and make a copy if you want to modify it or store it for later use.

Parameters:

`event` (Gst.Event) –

The event to parse

#### Gst.Event.parse_segment

    def Gst.Event.parse_segment (self):
        #python wrapper for 'gst_event_parse_segment'

Parses a segment event and stores the result in the given segment location. segment remains valid only until the event is freed. Don't modify the segment and make a copy if you want to modify it or store it for later use.

Parameters:

`event` (Gst.Event) –

The event to parse

#### gst_event_parse_segment_done

    gst_event_parse_segment_done (GstEvent * event,
                                  GstFormat * format,
                                  gint64 * position)

Extracts the position and format from the segment done message.

Parameters:

`event` –

A valid GstEvent of type GST_EVENT_SEGMENT_DONE.

`format` ( [out][optional]) –

Result location for the format, or NULL

`position` ( [out][optional]) –

Result location for the position, or NULL

#### Gst.Event.prototype.parse_segment_done

    function Gst.Event.prototype.parse_segment_done(): {
        // javascript wrapper for 'gst_event_parse_segment_done'
    }

Extracts the position and format from the segment done message.

Parameters:

`event` (Gst.Event) –

A valid Gst.Event of type GST_EVENT_SEGMENT_DONE.

#### Gst.Event.parse_segment_done

    def Gst.Event.parse_segment_done (self):
        #python wrapper for 'gst_event_parse_segment_done'

Extracts the position and format from the segment done message.

Parameters:

`event` (Gst.Event) –

A valid Gst.Event of type GST_EVENT_SEGMENT_DONE.

#### gst_event_parse_select_streams

    gst_event_parse_select_streams (GstEvent * event,
                                    GList ** streams)

Parse the SELECT_STREAMS event and retrieve the contained streams.

Parameters:

`event` –

The event to parse

`streams` ( [out][optional][element-type utf8][transfer: full]) –

the streams

Since : 1.10

#### Gst.Event.prototype.parse_select_streams

    function Gst.Event.prototype.parse_select_streams(): {
        // javascript wrapper for 'gst_event_parse_select_streams'
    }

Parse the SELECT_STREAMS event and retrieve the contained streams.

Parameters:

`event` (Gst.Event) –

The event to parse

Since : 1.10

#### Gst.Event.parse_select_streams

    def Gst.Event.parse_select_streams (self):
        #python wrapper for 'gst_event_parse_select_streams'

Parse the SELECT_STREAMS event and retrieve the contained streams.

Parameters:

`event` (Gst.Event) –

The event to parse

Since : 1.10

#### gst_event_parse_sink_message

    gst_event_parse_sink_message (GstEvent * event,
                                  GstMessage ** msg)

Parse the sink-message event. Unref msg after usage.

Parameters:

`event` –

The event to query

`msg` ( [out][optional][transfer: full]) –

a pointer to store the GstMessage in.

#### Gst.Event.prototype.parse_sink_message

    function Gst.Event.prototype.parse_sink_message(): {
        // javascript wrapper for 'gst_event_parse_sink_message'
    }

Parse the sink-message event. Unref msg after usage.

Parameters:

`event` (Gst.Event) –

The event to query

#### Gst.Event.parse_sink_message

    def Gst.Event.parse_sink_message (self):
        #python wrapper for 'gst_event_parse_sink_message'

Parse the sink-message event. Unref msg after usage.

Parameters:

`event` (Gst.Event) –

The event to query

#### gst_event_parse_step

    gst_event_parse_step (GstEvent * event,
                          GstFormat * format,
                          guint64 * amount,
                          gdouble * rate,
                          gboolean * flush,
                          gboolean * intermediate)

Parse the step event.

Parameters:

`event` –

The event to query

`format` ( [out][optional]) –

a pointer to store the format in

`amount` ( [out][optional]) –

a pointer to store the amount in

`rate` ( [out][optional]) –

a pointer to store the rate in

`flush` ( [out][optional]) –

a pointer to store the flush boolean in

`intermediate` ( [out][optional]) –

a pointer to store the intermediate boolean in

#### Gst.Event.prototype.parse_step

    function Gst.Event.prototype.parse_step(): {
        // javascript wrapper for 'gst_event_parse_step'
    }

Parse the step event.

Parameters:

`event` (Gst.Event) –

The event to query

#### Gst.Event.parse_step

    def Gst.Event.parse_step (self):
        #python wrapper for 'gst_event_parse_step'

Parse the step event.

Parameters:

`event` (Gst.Event) –

The event to query

#### gst_event_parse_stream

    gst_event_parse_stream (GstEvent * event,
                            GstStream ** stream)

Parse a stream-start event and extract the GstStream from it.

Parameters:

`event` –

a stream-start event

`stream` ( [out][optional][transfer: full]) –

address of variable to store the stream

Since : 1.10

#### Gst.Event.prototype.parse_stream

    function Gst.Event.prototype.parse_stream(): {
        // javascript wrapper for 'gst_event_parse_stream'
    }

Parse a stream-start event and extract the Gst.Stream from it.

Parameters:

`event` (Gst.Event) –

a stream-start event

Since : 1.10

#### Gst.Event.parse_stream

    def Gst.Event.parse_stream (self):
        #python wrapper for 'gst_event_parse_stream'

Parse a stream-start event and extract the Gst.Stream from it.

Parameters:

`event` (Gst.Event) –

a stream-start event

Since : 1.10

#### gst_event_parse_stream_collection

    gst_event_parse_stream_collection (GstEvent * event,
                                       GstStreamCollection ** collection)

Retrieve new GstStreamCollection from STREAM_COLLECTION event event.

Parameters:

`event` –

a stream-collection event

`collection` ( [out][optional][transfer: full]) –

pointer to store the collection.

Since : 1.10

#### Gst.Event.prototype.parse_stream_collection

    function Gst.Event.prototype.parse_stream_collection(): {
        // javascript wrapper for 'gst_event_parse_stream_collection'
    }

Retrieve new Gst.StreamCollection from STREAM_COLLECTION event event.

Parameters:

`event` (Gst.Event) –

a stream-collection event

Since : 1.10

#### Gst.Event.parse_stream_collection

    def Gst.Event.parse_stream_collection (self):
        #python wrapper for 'gst_event_parse_stream_collection'

Retrieve new Gst.StreamCollection from STREAM_COLLECTION event event.

Parameters:

`event` (Gst.Event) –

a stream-collection event

Since : 1.10

#### gst_event_parse_stream_flags

    gst_event_parse_stream_flags (GstEvent * event,
                                  GstStreamFlags * flags)

Parameters:

`event` –

a stream-start event

`flags` ( [out][optional]) –

address of variable where to store the stream flags

Since : 1.2

#### Gst.Event.prototype.parse_stream_flags

    function Gst.Event.prototype.parse_stream_flags(): {
        // javascript wrapper for 'gst_event_parse_stream_flags'
    }

Parameters:

`event` (Gst.Event) –

a stream-start event

Since : 1.2

#### Gst.Event.parse_stream_flags

    def Gst.Event.parse_stream_flags (self):
        #python wrapper for 'gst_event_parse_stream_flags'

Parameters:

`event` (Gst.Event) –

a stream-start event

Since : 1.2

#### gst_event_parse_stream_group_done

    gst_event_parse_stream_group_done (GstEvent * event,
                                       guint * group_id)

Parse a stream-group-done event and store the result in the given group_id location.

Parameters:

`event` –

a stream-group-done event.

`group_id` ( [out][optional]) –

address of variable to store the group id into

Since : 1.10

#### Gst.Event.prototype.parse_stream_group_done

    function Gst.Event.prototype.parse_stream_group_done(): {
        // javascript wrapper for 'gst_event_parse_stream_group_done'
    }

Parse a stream-group-done event and store the result in the given group_id location.

Parameters:

`event` (Gst.Event) –

a stream-group-done event.

Since : 1.10

#### Gst.Event.parse_stream_group_done

    def Gst.Event.parse_stream_group_done (self):
        #python wrapper for 'gst_event_parse_stream_group_done'

Parse a stream-group-done event and store the result in the given group_id location.

Parameters:

`event` (Gst.Event) –

a stream-group-done event.

Since : 1.10

#### gst_event_parse_stream_start

    gst_event_parse_stream_start (GstEvent * event,
                                  const gchar ** stream_id)

Parse a stream-id event and store the result in the given stream_id location. The string stored in stream_id must not be modified and will remain valid only until event gets freed. Make a copy if you want to modify it or store it for later use.

Parameters:

`event` –

a stream-start event.

`stream_id` ( [out][optional][transfer: none]) –

pointer to store the stream-id

#### Gst.Event.prototype.parse_stream_start

    function Gst.Event.prototype.parse_stream_start(): {
        // javascript wrapper for 'gst_event_parse_stream_start'
    }

Parse a stream-id event and store the result in the given stream_id location. The string stored in stream_id must not be modified and will remain valid only until event gets freed. Make a copy if you want to modify it or store it for later use.

Parameters:

`event` (Gst.Event) –

a stream-start event.

#### Gst.Event.parse_stream_start

    def Gst.Event.parse_stream_start (self):
        #python wrapper for 'gst_event_parse_stream_start'

Parse a stream-id event and store the result in the given stream_id location. The string stored in stream_id must not be modified and will remain valid only until event gets freed. Make a copy if you want to modify it or store it for later use.

Parameters:

`event` (Gst.Event) –

a stream-start event.

#### gst_event_parse_tag

    gst_event_parse_tag (GstEvent * event,
                         GstTagList ** taglist)

Parses a tag event and stores the results in the given taglist location. No reference to the taglist will be returned, it remains valid only until the event is freed. Don't modify or free the taglist, make a copy if you want to modify it or store it for later use.

Parameters:

`event` –

a tag event

`taglist` ( [out][optional][transfer: none]) –

pointer to metadata list

#### Gst.Event.prototype.parse_tag

    function Gst.Event.prototype.parse_tag(): {
        // javascript wrapper for 'gst_event_parse_tag'
    }

Parses a tag event and stores the results in the given taglist location. No reference to the taglist will be returned, it remains valid only until the event is freed. Don't modify or free the taglist, make a copy if you want to modify it or store it for later use.

Parameters:

`event` (Gst.Event) –

a tag event

#### Gst.Event.parse_tag

    def Gst.Event.parse_tag (self):
        #python wrapper for 'gst_event_parse_tag'

Parses a tag event and stores the results in the given taglist location. No reference to the taglist will be returned, it remains valid only until the event is freed. Don't modify or free the taglist, make a copy if you want to modify it or store it for later use.

Parameters:

`event` (Gst.Event) –

a tag event

#### gst_event_ref

    GstEvent *
    gst_event_ref (GstEvent * event)

Increase the refcount of this event.

Parameters:

`event` –

The event to refcount

Returns ( [transfer: full]) –

event (for convenience when doing assignments)

#### gst_event_set_gap_flags

    gst_event_set_gap_flags (GstEvent * event,
                             GstGapFlags flags)

Sets flags on event to give additional information about the reason for the GST_EVENT_GAP.

Parameters:

`event` –

a GstEvent of type GST_EVENT_GAP

`flags` –

a GstGapFlags

Since : 1.20

#### Gst.Event.prototype.set_gap_flags

    function Gst.Event.prototype.set_gap_flags(flags: Gst.GapFlags): {
        // javascript wrapper for 'gst_event_set_gap_flags'
    }

Sets flags on event to give additional information about the reason for the Gst.EventType.GAP.

Parameters:

`event` (Gst.Event) –

a Gst.Event of type Gst.EventType.GAP

`flags` (Gst.GapFlags) –

a Gst.GapFlags

Since : 1.20

#### Gst.Event.set_gap_flags

    def Gst.Event.set_gap_flags (self, flags):
        #python wrapper for 'gst_event_set_gap_flags'

Sets flags on event to give additional information about the reason for the Gst.EventType.GAP.

Parameters:

`event` (Gst.Event) –

a Gst.Event of type Gst.EventType.GAP

`flags` (Gst.GapFlags) –

a Gst.GapFlags

Since : 1.20

#### gst_event_set_group_id

    gst_event_set_group_id (GstEvent * event,
                            guint group_id)

All streams that have the same group id are supposed to be played together, i.e. all streams inside a container file should have the same group id but different stream ids. The group id should change each time the stream is started, resulting in different group ids each time a file is played for example.

Use gst_util_group_id_next to get a new group id.

Parameters:

`event` –

a stream-start event

`group_id` –

the group id to set

Since : 1.2

#### Gst.Event.prototype.set_group_id

    function Gst.Event.prototype.set_group_id(group_id: Number): {
        // javascript wrapper for 'gst_event_set_group_id'
    }

All streams that have the same group id are supposed to be played together, i.e. all streams inside a container file should have the same group id but different stream ids. The group id should change each time the stream is started, resulting in different group ids each time a file is played for example.

Use Gst.prototype.util_group_id_next to get a new group id.

Parameters:

`event` (Gst.Event) –

a stream-start event

`group_id` (Number) –

the group id to set

Since : 1.2

#### Gst.Event.set_group_id

    def Gst.Event.set_group_id (self, group_id):
        #python wrapper for 'gst_event_set_group_id'

All streams that have the same group id are supposed to be played together, i.e. all streams inside a container file should have the same group id but different stream ids. The group id should change each time the stream is started, resulting in different group ids each time a file is played for example.

Use Gst.util_group_id_next to get a new group id.

Parameters:

`event` (Gst.Event) –

a stream-start event

`group_id` (int) –

the group id to set

Since : 1.2

#### gst_event_set_running_time_offset

    gst_event_set_running_time_offset (GstEvent * event,
                                       gint64 offset)

Set the running time offset of a event. See gst_event_get_running_time_offset for more information.

MT safe.

Parameters:

`event` –

A GstEvent.

`offset` –

A the new running time offset

Since : 1.4

#### Gst.Event.prototype.set_running_time_offset

    function Gst.Event.prototype.set_running_time_offset(offset: Number): {
        // javascript wrapper for 'gst_event_set_running_time_offset'
    }

Set the running time offset of a event. See Gst.Event.prototype.get_running_time_offset for more information.

MT safe.

Parameters:

`event` (Gst.Event) –

A Gst.Event.

`offset` (Number) –

A the new running time offset

Since : 1.4

#### Gst.Event.set_running_time_offset

    def Gst.Event.set_running_time_offset (self, offset):
        #python wrapper for 'gst_event_set_running_time_offset'

Set the running time offset of a event. See Gst.Event.get_running_time_offset for more information.

MT safe.

Parameters:

`event` (Gst.Event) –

A Gst.Event.

`offset` (int) –

A the new running time offset

Since : 1.4

#### gst_event_set_seek_trickmode_interval

    gst_event_set_seek_trickmode_interval (GstEvent * event,
                                           GstClockTime interval)

Sets a trickmode interval on a (writable) seek event. Elements that support TRICKMODE_KEY_UNITS seeks SHOULD use this as the minimal interval between each frame they may output.

Parameters:

`event` –
No description available
`interval` –
No description available

Since : 1.16

#### Gst.Event.prototype.set_seek_trickmode_interval

    function Gst.Event.prototype.set_seek_trickmode_interval(interval: Number): {
        // javascript wrapper for 'gst_event_set_seek_trickmode_interval'
    }

Sets a trickmode interval on a (writable) seek event. Elements that support TRICKMODE_KEY_UNITS seeks SHOULD use this as the minimal interval between each frame they may output.

Parameters:

`event` (Gst.Event) –
No description available
`interval` (Number) –
No description available

Since : 1.16

#### Gst.Event.set_seek_trickmode_interval

    def Gst.Event.set_seek_trickmode_interval (self, interval):
        #python wrapper for 'gst_event_set_seek_trickmode_interval'

Sets a trickmode interval on a (writable) seek event. Elements that support TRICKMODE_KEY_UNITS seeks SHOULD use this as the minimal interval between each frame they may output.

Parameters:

`event` (Gst.Event) –
No description available
`interval` (int) –
No description available

Since : 1.16

#### gst_event_set_seqnum

    gst_event_set_seqnum (GstEvent * event,
                          guint32 seqnum)

Set the sequence number of a event.

This function might be called by the creator of a event to indicate that the event relates to other events or messages. See gst_event_get_seqnum for more information.

MT safe.

Parameters:

`event` –

A GstEvent.

`seqnum` –

A sequence number.

#### Gst.Event.prototype.set_seqnum

    function Gst.Event.prototype.set_seqnum(seqnum: Number): {
        // javascript wrapper for 'gst_event_set_seqnum'
    }

Set the sequence number of a event.

This function might be called by the creator of a event to indicate that the event relates to other events or messages. See Gst.Event.prototype.get_seqnum for more information.

MT safe.

Parameters:

`event` (Gst.Event) –

A Gst.Event.

`seqnum` (Number) –

A sequence number.

#### Gst.Event.set_seqnum

    def Gst.Event.set_seqnum (self, seqnum):
        #python wrapper for 'gst_event_set_seqnum'

Set the sequence number of a event.

This function might be called by the creator of a event to indicate that the event relates to other events or messages. See Gst.Event.get_seqnum for more information.

MT safe.

Parameters:

`event` (Gst.Event) –

A Gst.Event.

`seqnum` (int) –

A sequence number.

#### gst_event_set_stream

    gst_event_set_stream (GstEvent * event,
                          GstStream * stream)

Set the stream on the stream-start event

Parameters:

`event` –

a stream-start event

`stream` ( [transfer: none]) –

the stream object to set

Since : 1.10

#### Gst.Event.prototype.set_stream

    function Gst.Event.prototype.set_stream(stream: Gst.Stream): {
        // javascript wrapper for 'gst_event_set_stream'
    }

Set the stream on the stream-start event

Parameters:

`event` (Gst.Event) –

a stream-start event

`stream` (Gst.Stream) –

the stream object to set

Since : 1.10

#### Gst.Event.set_stream

    def Gst.Event.set_stream (self, stream):
        #python wrapper for 'gst_event_set_stream'

Set the stream on the stream-start event

Parameters:

`event` (Gst.Event) –

a stream-start event

`stream` (Gst.Stream) –

the stream object to set

Since : 1.10

#### gst_event_set_stream_flags

    gst_event_set_stream_flags (GstEvent * event,
                                GstStreamFlags flags)

Parameters:

`event` –

a stream-start event

`flags` –

the stream flags to set

Since : 1.2

#### Gst.Event.prototype.set_stream_flags

    function Gst.Event.prototype.set_stream_flags(flags: Gst.StreamFlags): {
        // javascript wrapper for 'gst_event_set_stream_flags'
    }

Parameters:

`event` (Gst.Event) –

a stream-start event

`flags` (Gst.StreamFlags) –

the stream flags to set

Since : 1.2

#### Gst.Event.set_stream_flags

    def Gst.Event.set_stream_flags (self, flags):
        #python wrapper for 'gst_event_set_stream_flags'

Parameters:

`event` (Gst.Event) –

a stream-start event

`flags` (Gst.StreamFlags) –

the stream flags to set

Since : 1.2

#### gst_event_unref

    gst_event_unref (GstEvent * event)

Decrease the refcount of an event, freeing it if the refcount reaches 0.

Parameters:

`event` ( [transfer: full]) –

the event to refcount

#### gst_event_writable_structure

    GstStructure *
    gst_event_writable_structure (GstEvent * event)

Get a writable version of the structure.

Parameters:

`event` –

A writable GstEvent.

Returns ( [transfer: none]) –

The structure of the event. The structure is still owned by the event, which means that you should not free it and that the pointer becomes invalid when you free the event. This function ensures that event is writable, and if so, will never return NULL.

MT safe.

#### Gst.Event.prototype.writable_structure

    function Gst.Event.prototype.writable_structure(): {
        // javascript wrapper for 'gst_event_writable_structure'
    }

Get a writable version of the structure.

Parameters:

`event` (Gst.Event) –

A writable Gst.Event.

Returns (Gst.Structure) –

The structure of the event. The structure is still owned by the event, which means that you should not free it and that the pointer becomes invalid when you free the event. This function ensures that event is writable, and if so, will never return null.

MT safe.

#### Gst.Event.writable_structure

    def Gst.Event.writable_structure (self):
        #python wrapper for 'gst_event_writable_structure'

Get a writable version of the structure.

Parameters:

`event` (Gst.Event) –

A writable Gst.Event.

Returns (Gst.Structure) –

The structure of the event. The structure is still owned by the event, which means that you should not free it and that the pointer becomes invalid when you free the event. This function ensures that event is writable, and if so, will never return None.

MT safe.

### Functions

#### gst_event_replace

    gboolean
    gst_event_replace (GstEvent ** old_event,
                       GstEvent * new_event)

Modifies a pointer to a GstEvent to point to a different GstEvent. The modification is done atomically (so this is useful for ensuring thread safety in some cases), and the reference counts are updated appropriately (the old event is unreffed, the new one is reffed).

Either new_event or the GstEvent pointed to by old_event may be NULL.

Parameters:

`old_event` ( [inout][transfer: full][nullable]) –

pointer to a pointer to a GstEvent to be replaced.

`new_event` ( [nullable][transfer: none]) –

pointer to a GstEvent that will replace the event pointed to by old_event.

Returns –

TRUE if new_event was different from old_event

#### gst_event_steal

    GstEvent *
    gst_event_steal (GstEvent ** old_event)

Atomically replace the GstEvent pointed to by old_event with NULL and return the original event.

Parameters:

`old_event` ( [inout][transfer: full][nullable]) –

pointer to a pointer to a GstEvent to be stolen.

Returns –

the GstEvent that was in old_event

#### gst_event_take

    gboolean
    gst_event_take (GstEvent ** old_event,
                    GstEvent * new_event)

Modifies a pointer to a GstEvent to point to a different GstEvent. This function is similar to gst_event_replace except that it takes ownership of new_event.

Either new_event or the GstEvent pointed to by old_event may be NULL.

Parameters:

`old_event` ( [inout][transfer: full][nullable]) –

pointer to a pointer to a GstEvent to be stolen.

`new_event` ( [nullable][transfer: full]) –

pointer to a GstEvent that will replace the event pointed to by old_event.

Returns –

TRUE if new_event was different from old_event

## Functions

### gst_clear_event

    gst_clear_event (GstEvent ** event_ptr)

Clears a reference to a GstEvent.

event_ptr must not be NULL.

If the reference is NULL then this function does nothing. Otherwise, the reference count of the event is decreased and the pointer is set to NULL.

Parameters:

`event_ptr` –

a pointer to a GstEvent reference

Since : 1.16

### gst_event_type_get_flags

    GstEventTypeFlags
    gst_event_type_get_flags (GstEventType type)

Gets the GstEventTypeFlags associated with type.

Parameters:

`type` –

a GstEventType

Returns –

a GstEventTypeFlags.

### Gst.prototype.event_type_get_flags

    function Gst.prototype.event_type_get_flags(type: Gst.EventType): {
        // javascript wrapper for 'gst_event_type_get_flags'
    }

Gets the Gst.EventTypeFlags associated with type.

Parameters:

`type` (Gst.EventType) –

a Gst.EventType

Returns (Gst.EventTypeFlags) –

a Gst.EventTypeFlags.

### Gst.event_type_get_flags

    def Gst.event_type_get_flags (type):
        #python wrapper for 'gst_event_type_get_flags'

Gets the Gst.EventTypeFlags associated with type.

Parameters:

`type` (Gst.EventType) –

a Gst.EventType

Returns (Gst.EventTypeFlags) –

a Gst.EventTypeFlags.

### gst_event_type_get_name

    const gchar *
    gst_event_type_get_name (GstEventType type)

Get a printable name for the given event type. Do not modify or free.

Parameters:

`type` –

the event type

Returns –

a reference to the static name of the event.

### Gst.prototype.event_type_get_name

    function Gst.prototype.event_type_get_name(type: Gst.EventType): {
        // javascript wrapper for 'gst_event_type_get_name'
    }

Get a printable name for the given event type. Do not modify or free.

Parameters:

`type` (Gst.EventType) –

the event type

Returns (String) –

a reference to the static name of the event.

### Gst.event_type_get_name

    def Gst.event_type_get_name (type):
        #python wrapper for 'gst_event_type_get_name'

Get a printable name for the given event type. Do not modify or free.

Parameters:

`type` (Gst.EventType) –

the event type

Returns (str) –

a reference to the static name of the event.

### gst_event_type_to_quark

    GQuark
    gst_event_type_to_quark (GstEventType type)

Get the unique quark for the given event type.

Parameters:

`type` –

the event type

Returns –

the quark associated with the event type

### Gst.prototype.event_type_to_quark

    function Gst.prototype.event_type_to_quark(type: Gst.EventType): {
        // javascript wrapper for 'gst_event_type_to_quark'
    }

Get the unique quark for the given event type.

Parameters:

`type` (Gst.EventType) –

the event type

Returns (GLib.Quark) –

the quark associated with the event type

### Gst.event_type_to_quark

    def Gst.event_type_to_quark (type):
        #python wrapper for 'gst_event_type_to_quark'

Get the unique quark for the given event type.

Parameters:

`type` (Gst.EventType) –

the event type

Returns (GLib.Quark) –

the quark associated with the event type

### gst_event_type_to_sticky_ordering

    guint
    gst_event_type_to_sticky_ordering (GstEventType type)

Converts the GstEventType to an unsigned integer that represents the ordering of sticky events when re-sending them. A lower value represents a higher-priority event.

Parameters:

`type` –

a GstEventType

Returns –

an unsigned integer

Since : 1.22

### Gst.prototype.event_type_to_sticky_ordering

    function Gst.prototype.event_type_to_sticky_ordering(type: Gst.EventType): {
        // javascript wrapper for 'gst_event_type_to_sticky_ordering'
    }

Converts the Gst.EventType to an unsigned integer that represents the ordering of sticky events when re-sending them. A lower value represents a higher-priority event.

Parameters:

`type` (Gst.EventType) –

a Gst.EventType

Returns (Number) –

an unsigned integer

Since : 1.22

### Gst.event_type_to_sticky_ordering

    def Gst.event_type_to_sticky_ordering (type):
        #python wrapper for 'gst_event_type_to_sticky_ordering'

Converts the Gst.EventType to an unsigned integer that represents the ordering of sticky events when re-sending them. A lower value represents a higher-priority event.

Parameters:

`type` (Gst.EventType) –

a Gst.EventType

Returns (int) –

an unsigned integer

Since : 1.22

## Function Macros

### GST_EVENT_CAST

    #define GST_EVENT_CAST(obj)             ((GstEvent *)(obj))

### GST_EVENT_IS_DOWNSTREAM

    #define GST_EVENT_IS_DOWNSTREAM(ev)     !!(GST_EVENT_TYPE (ev) & GST_EVENT_TYPE_DOWNSTREAM)

Check if an event can travel downstream.

Parameters:

`ev` –

the event to query

### GST_EVENT_IS_SERIALIZED

    #define GST_EVENT_IS_SERIALIZED(ev)     !!(GST_EVENT_TYPE (ev) & GST_EVENT_TYPE_SERIALIZED)

Check if an event is serialized with the data stream.

Parameters:

`ev` –

the event to query

### GST_EVENT_IS_STICKY

    #define GST_EVENT_IS_STICKY(ev)     !!(GST_EVENT_TYPE (ev) & GST_EVENT_TYPE_STICKY)

Check if an event is sticky on the pads.

Parameters:

`ev` –

the event to query

### GST_EVENT_IS_UPSTREAM

    #define GST_EVENT_IS_UPSTREAM(ev)       !!(GST_EVENT_TYPE (ev) & GST_EVENT_TYPE_UPSTREAM)

Check if an event can travel upstream.

Parameters:

`ev` –

the event to query

### GST_EVENT_MAKE_TYPE

    #define GST_EVENT_MAKE_TYPE(num,flags) \
        (((num) << GST_EVENT_NUM_SHIFT) | (flags))

when making custom event types, use this macro with the num and the given flags

Parameters:

`num` –

the event number to create

`flags` –

the event flags

### GST_EVENT_SEQNUM

    #define GST_EVENT_SEQNUM(event)         (GST_EVENT_CAST(event)->seqnum)

The sequence number of event.

Parameters:

`event` –

the event to query

### GST_EVENT_TIMESTAMP

    #define GST_EVENT_TIMESTAMP(event)      (GST_EVENT_CAST(event)->timestamp)

Get the GstClockTime timestamp of the event. This is the time when the event was created.

Parameters:

`event` –

the event to query

### GST_EVENT_TYPE

    #define GST_EVENT_TYPE(event)           (GST_EVENT_CAST(event)->type)

Get the GstEventType of the event.

Parameters:

`event` –

the event to query

### GST_EVENT_TYPE_NAME

    #define GST_EVENT_TYPE_NAME(event)      (gst_event_type_get_name(GST_EVENT_TYPE(event)))

Get a constant string representation of the GstEventType of the event.

Parameters:

`event` –

the event to query

### _FLAG

    #define _FLAG(name) GST_EVENT_TYPE_##name

## Enumerations

### GstEventType

GstEventType lists the standard event types that can be sent in a pipeline.

The custom event types can be used for private messages between elements that can't be expressed using normal GStreamer buffer passing semantics. Custom events carry an arbitrary GstStructure. Specific custom events are distinguished by the name of the structure.

##### Members

`GST_EVENT_UNKNOWN` (0) –

unknown event.

`GST_EVENT_FLUSH_START` (2563) –

Start a flush operation. This event clears all data from the pipeline and unblock all streaming threads.

`GST_EVENT_FLUSH_STOP` (5127) –

Stop a flush operation. This event resets the running-time of the pipeline.

`GST_EVENT_STREAM_START` (10254) –

Event to mark the start of a new stream. Sent before any other serialized event and only sent at the start of a new stream, not after flushing seeks.

`GST_EVENT_CAPS` (12814) –

GstCaps event. Notify the pad of a new media type.

`GST_EVENT_SEGMENT` (17934) –

A new media segment follows in the dataflow. The segment events contains information for clipping buffers and converting buffer timestamps to running-time and stream-time.

`GST_EVENT_STREAM_COLLECTION` (19230) –

A new GstStreamCollection is available (Since: 1.10)

`GST_EVENT_TAG` (20510) –

A new set of metadata tags has been found in the stream.

`GST_EVENT_BUFFERSIZE` (23054) –

Notification of buffering requirements. Currently not used yet.

`GST_EVENT_SINK_MESSAGE` (25630) –

An event that sinks turn into a message. Used to send messages that should be emitted in sync with rendering.

`GST_EVENT_STREAM_GROUP_DONE` (26894) –

Indicates that there is no more data for the stream group ID in the message. Sent before EOS in some instances and should be handled mostly the same. (Since: 1.10)

`GST_EVENT_EOS` (28174) –

End-Of-Stream. No more data is to be expected to follow without either a STREAM_START event, or a FLUSH_STOP and a SEGMENT event.

`GST_EVENT_TOC` (30750) –

An event which indicates that a new table of contents (TOC) was found or updated.

`GST_EVENT_PROTECTION` (33310) –

An event which indicates that new or updated encryption information has been found in the stream.

`GST_EVENT_SEGMENT_DONE` (38406) –

Marks the end of a segment playback.

`GST_EVENT_GAP` (40966) –

Marks a gap in the datastream.

`GST_EVENT_INSTANT_RATE_CHANGE` (46090) –

Notify downstream that a playback rate override should be applied as soon as possible. (Since: 1.18)

`GST_EVENT_QOS` (48641) –

A quality message. Used to indicate to upstream elements that the downstream elements should adjust their processing rate.

`GST_EVENT_SEEK` (51201) –

A request for a new playback position and rate.

`GST_EVENT_NAVIGATION` (53761) –

Navigation events are usually used for communicating user requests, such as mouse or keyboard movements, to upstream elements.

`GST_EVENT_LATENCY` (56321) –

Notification of new latency adjustment. Sinks will use the latency information to adjust their synchronisation.

`GST_EVENT_STEP` (58881) –

A request for stepping through the media. Sinks will usually execute the step operation.

`GST_EVENT_RECONFIGURE` (61441) –

A request for upstream renegotiating caps and reconfiguring.

`GST_EVENT_TOC_SELECT` (64001) –

A request for a new playback position based on TOC entry's UID.

`GST_EVENT_SELECT_STREAMS` (66561) –

A request to select one or more streams (Since: 1.10)

`GST_EVENT_INSTANT_RATE_SYNC_TIME` (66817) –

Sent by the pipeline to notify elements that handle the instant-rate-change event about the running-time when the rate multiplier should be applied (or was applied). (Since: 1.18)

`GST_EVENT_CUSTOM_UPSTREAM` (69121) –

Upstream custom event

`GST_EVENT_CUSTOM_DOWNSTREAM` (71686) –

Downstream custom event that travels in the data flow.

`GST_EVENT_CUSTOM_DOWNSTREAM_OOB` (74242) –

Custom out-of-band downstream event.

`GST_EVENT_CUSTOM_DOWNSTREAM_STICKY` (76830) –

Custom sticky downstream event.

`GST_EVENT_CUSTOM_BOTH` (79367) –

Custom upstream or downstream event. In-band when travelling downstream.

`GST_EVENT_CUSTOM_BOTH_OOB` (81923) –

Custom upstream or downstream out-of-band event.

### Gst.EventType

Gst.EventType lists the standard event types that can be sent in a pipeline.

The custom event types can be used for private messages between elements that can't be expressed using normal GStreamer buffer passing semantics. Custom events carry an arbitrary Gst.Structure. Specific custom events are distinguished by the name of the structure.

##### Members

`Gst.EventType.UNKNOWN` (0) –

unknown event.

`Gst.EventType.FLUSH_START` (2563) –

Start a flush operation. This event clears all data from the pipeline and unblock all streaming threads.

`Gst.EventType.FLUSH_STOP` (5127) –

Stop a flush operation. This event resets the running-time of the pipeline.

`Gst.EventType.STREAM_START` (10254) –

Event to mark the start of a new stream. Sent before any other serialized event and only sent at the start of a new stream, not after flushing seeks.

`Gst.EventType.CAPS` (12814) –

Gst.Caps event. Notify the pad of a new media type.

`Gst.EventType.SEGMENT` (17934) –

A new media segment follows in the dataflow. The segment events contains information for clipping buffers and converting buffer timestamps to running-time and stream-time.

`Gst.EventType.STREAM_COLLECTION` (19230) –

A new Gst.StreamCollection is available (Since: 1.10)

`Gst.EventType.TAG` (20510) –

A new set of metadata tags has been found in the stream.

`Gst.EventType.BUFFERSIZE` (23054) –

Notification of buffering requirements. Currently not used yet.

`Gst.EventType.SINK_MESSAGE` (25630) –

An event that sinks turn into a message. Used to send messages that should be emitted in sync with rendering.

`Gst.EventType.STREAM_GROUP_DONE` (26894) –

Indicates that there is no more data for the stream group ID in the message. Sent before EOS in some instances and should be handled mostly the same. (Since: 1.10)

`Gst.EventType.EOS` (28174) –

End-Of-Stream. No more data is to be expected to follow without either a STREAM_START event, or a FLUSH_STOP and a SEGMENT event.

`Gst.EventType.TOC` (30750) –

An event which indicates that a new table of contents (TOC) was found or updated.

`Gst.EventType.PROTECTION` (33310) –

An event which indicates that new or updated encryption information has been found in the stream.

`Gst.EventType.SEGMENT_DONE` (38406) –

Marks the end of a segment playback.

`Gst.EventType.GAP` (40966) –

Marks a gap in the datastream.

`Gst.EventType.INSTANT_RATE_CHANGE` (46090) –

Notify downstream that a playback rate override should be applied as soon as possible. (Since: 1.18)

`Gst.EventType.QOS` (48641) –

A quality message. Used to indicate to upstream elements that the downstream elements should adjust their processing rate.

`Gst.EventType.SEEK` (51201) –

A request for a new playback position and rate.

`Gst.EventType.NAVIGATION` (53761) –

Navigation events are usually used for communicating user requests, such as mouse or keyboard movements, to upstream elements.

`Gst.EventType.LATENCY` (56321) –

Notification of new latency adjustment. Sinks will use the latency information to adjust their synchronisation.

`Gst.EventType.STEP` (58881) –

A request for stepping through the media. Sinks will usually execute the step operation.

`Gst.EventType.RECONFIGURE` (61441) –

A request for upstream renegotiating caps and reconfiguring.

`Gst.EventType.TOC_SELECT` (64001) –

A request for a new playback position based on TOC entry's UID.

`Gst.EventType.SELECT_STREAMS` (66561) –

A request to select one or more streams (Since: 1.10)

`Gst.EventType.INSTANT_RATE_SYNC_TIME` (66817) –

Sent by the pipeline to notify elements that handle the instant-rate-change event about the running-time when the rate multiplier should be applied (or was applied). (Since: 1.18)

`Gst.EventType.CUSTOM_UPSTREAM` (69121) –

Upstream custom event

`Gst.EventType.CUSTOM_DOWNSTREAM` (71686) –

Downstream custom event that travels in the data flow.

`Gst.EventType.CUSTOM_DOWNSTREAM_OOB` (74242) –

Custom out-of-band downstream event.

`Gst.EventType.CUSTOM_DOWNSTREAM_STICKY` (76830) –

Custom sticky downstream event.

`Gst.EventType.CUSTOM_BOTH` (79367) –

Custom upstream or downstream event. In-band when travelling downstream.

`Gst.EventType.CUSTOM_BOTH_OOB` (81923) –

Custom upstream or downstream out-of-band event.

### Gst.EventType

Gst.EventType lists the standard event types that can be sent in a pipeline.

The custom event types can be used for private messages between elements that can't be expressed using normal GStreamer buffer passing semantics. Custom events carry an arbitrary Gst.Structure. Specific custom events are distinguished by the name of the structure.

##### Members

`Gst.EventType.UNKNOWN` (0) –

unknown event.

`Gst.EventType.FLUSH_START` (2563) –

Start a flush operation. This event clears all data from the pipeline and unblock all streaming threads.

`Gst.EventType.FLUSH_STOP` (5127) –

Stop a flush operation. This event resets the running-time of the pipeline.

`Gst.EventType.STREAM_START` (10254) –

Event to mark the start of a new stream. Sent before any other serialized event and only sent at the start of a new stream, not after flushing seeks.

`Gst.EventType.CAPS` (12814) –

Gst.Caps event. Notify the pad of a new media type.

`Gst.EventType.SEGMENT` (17934) –

A new media segment follows in the dataflow. The segment events contains information for clipping buffers and converting buffer timestamps to running-time and stream-time.

`Gst.EventType.STREAM_COLLECTION` (19230) –

A new Gst.StreamCollection is available (Since: 1.10)

`Gst.EventType.TAG` (20510) –

A new set of metadata tags has been found in the stream.

`Gst.EventType.BUFFERSIZE` (23054) –

Notification of buffering requirements. Currently not used yet.

`Gst.EventType.SINK_MESSAGE` (25630) –

An event that sinks turn into a message. Used to send messages that should be emitted in sync with rendering.

`Gst.EventType.STREAM_GROUP_DONE` (26894) –

Indicates that there is no more data for the stream group ID in the message. Sent before EOS in some instances and should be handled mostly the same. (Since: 1.10)

`Gst.EventType.EOS` (28174) –

End-Of-Stream. No more data is to be expected to follow without either a STREAM_START event, or a FLUSH_STOP and a SEGMENT event.

`Gst.EventType.TOC` (30750) –

An event which indicates that a new table of contents (TOC) was found or updated.

`Gst.EventType.PROTECTION` (33310) –

An event which indicates that new or updated encryption information has been found in the stream.

`Gst.EventType.SEGMENT_DONE` (38406) –

Marks the end of a segment playback.

`Gst.EventType.GAP` (40966) –

Marks a gap in the datastream.

`Gst.EventType.INSTANT_RATE_CHANGE` (46090) –

Notify downstream that a playback rate override should be applied as soon as possible. (Since: 1.18)

`Gst.EventType.QOS` (48641) –

A quality message. Used to indicate to upstream elements that the downstream elements should adjust their processing rate.

`Gst.EventType.SEEK` (51201) –

A request for a new playback position and rate.

`Gst.EventType.NAVIGATION` (53761) –

Navigation events are usually used for communicating user requests, such as mouse or keyboard movements, to upstream elements.

`Gst.EventType.LATENCY` (56321) –

Notification of new latency adjustment. Sinks will use the latency information to adjust their synchronisation.

`Gst.EventType.STEP` (58881) –

A request for stepping through the media. Sinks will usually execute the step operation.

`Gst.EventType.RECONFIGURE` (61441) –

A request for upstream renegotiating caps and reconfiguring.

`Gst.EventType.TOC_SELECT` (64001) –

A request for a new playback position based on TOC entry's UID.

`Gst.EventType.SELECT_STREAMS` (66561) –

A request to select one or more streams (Since: 1.10)

`Gst.EventType.INSTANT_RATE_SYNC_TIME` (66817) –

Sent by the pipeline to notify elements that handle the instant-rate-change event about the running-time when the rate multiplier should be applied (or was applied). (Since: 1.18)

`Gst.EventType.CUSTOM_UPSTREAM` (69121) –

Upstream custom event

`Gst.EventType.CUSTOM_DOWNSTREAM` (71686) –

Downstream custom event that travels in the data flow.

`Gst.EventType.CUSTOM_DOWNSTREAM_OOB` (74242) –

Custom out-of-band downstream event.

`Gst.EventType.CUSTOM_DOWNSTREAM_STICKY` (76830) –

Custom sticky downstream event.

`Gst.EventType.CUSTOM_BOTH` (79367) –

Custom upstream or downstream event. In-band when travelling downstream.

`Gst.EventType.CUSTOM_BOTH_OOB` (81923) –

Custom upstream or downstream out-of-band event.

### GstEventTypeFlags

GstEventTypeFlags indicate the aspects of the different GstEventType values. You can get the type flags of a GstEventType with the gst_event_type_get_flags function.

##### Members

`GST_EVENT_TYPE_UPSTREAM` (1) –

Set if the event can travel upstream.

`GST_EVENT_TYPE_DOWNSTREAM` (2) –

Set if the event can travel downstream.

`GST_EVENT_TYPE_SERIALIZED` (4) –

Set if the event should be serialized with data flow.

`GST_EVENT_TYPE_STICKY` (8) –

Set if the event is sticky on the pads.

`GST_EVENT_TYPE_STICKY_MULTI` (16) –

Multiple sticky events can be on a pad, each identified by the event name.

### Gst.EventTypeFlags

Gst.EventTypeFlags indicate the aspects of the different Gst.EventType values. You can get the type flags of a Gst.EventType with the Gst.prototype.event_type_get_flags function.

##### Members

`Gst.EventTypeFlags.UPSTREAM` (1) –

Set if the event can travel upstream.

`Gst.EventTypeFlags.DOWNSTREAM` (2) –

Set if the event can travel downstream.

`Gst.EventTypeFlags.SERIALIZED` (4) –

Set if the event should be serialized with data flow.

`Gst.EventTypeFlags.STICKY` (8) –

Set if the event is sticky on the pads.

`Gst.EventTypeFlags.STICKY_MULTI` (16) –

Multiple sticky events can be on a pad, each identified by the event name.

### Gst.EventTypeFlags

Gst.EventTypeFlags indicate the aspects of the different Gst.EventType values. You can get the type flags of a Gst.EventType with the Gst.event_type_get_flags function.

##### Members

`Gst.EventTypeFlags.UPSTREAM` (1) –

Set if the event can travel upstream.

`Gst.EventTypeFlags.DOWNSTREAM` (2) –

Set if the event can travel downstream.

`Gst.EventTypeFlags.SERIALIZED` (4) –

Set if the event should be serialized with data flow.

`Gst.EventTypeFlags.STICKY` (8) –

Set if the event is sticky on the pads.

`Gst.EventTypeFlags.STICKY_MULTI` (16) –

Multiple sticky events can be on a pad, each identified by the event name.

### GstGapFlags

The different flags that can be set on GST_EVENT_GAP events. See gst_event_set_gap_flags for details.

##### Members

`GST_GAP_FLAG_MISSING_DATA` (1) –

The GST_EVENT_GAP signals missing data, for example because of packet loss.

Since : 1.20

### Gst.GapFlags

The different flags that can be set on Gst.EventType.GAP events. See Gst.Event.prototype.set_gap_flags for details.

##### Members

`Gst.GapFlags.DATA` (1) –

The Gst.EventType.GAP signals missing data, for example because of packet loss.

Since : 1.20

### Gst.GapFlags

The different flags that can be set on Gst.EventType.GAP events. See Gst.Event.set_gap_flags for details.

##### Members

`Gst.GapFlags.DATA` (1) –

The Gst.EventType.GAP signals missing data, for example because of packet loss.

Since : 1.20

### GstQOSType

The different types of QoS events that can be given to the gst_event_new_qos method.

##### Members

`GST_QOS_TYPE_OVERFLOW` (0) –

The QoS event type that is produced when upstream elements are producing data too quickly and the element can't keep up processing the data. Upstream should reduce their production rate. This type is also used when buffers arrive early or in time.

`GST_QOS_TYPE_UNDERFLOW` (1) –

The QoS event type that is produced when upstream elements are producing data too slowly and need to speed up their production rate.

`GST_QOS_TYPE_THROTTLE` (2) –

The QoS event type that is produced when the application enabled throttling to limit the data rate.

### Gst.QOSType

The different types of QoS events that can be given to the Gst.Event.prototype.new_qos method.

##### Members

`Gst.QOSType.OVERFLOW` (0) –

The QoS event type that is produced when upstream elements are producing data too quickly and the element can't keep up processing the data. Upstream should reduce their production rate. This type is also used when buffers arrive early or in time.

`Gst.QOSType.UNDERFLOW` (1) –

The QoS event type that is produced when upstream elements are producing data too slowly and need to speed up their production rate.

`Gst.QOSType.THROTTLE` (2) –

The QoS event type that is produced when the application enabled throttling to limit the data rate.

### Gst.QOSType

The different types of QoS events that can be given to the Gst.Event.new_qos method.

##### Members

`Gst.QOSType.OVERFLOW` (0) –

The QoS event type that is produced when upstream elements are producing data too quickly and the element can't keep up processing the data. Upstream should reduce their production rate. This type is also used when buffers arrive early or in time.

`Gst.QOSType.UNDERFLOW` (1) –

The QoS event type that is produced when upstream elements are producing data too slowly and need to speed up their production rate.

`Gst.QOSType.THROTTLE` (2) –

The QoS event type that is produced when the application enabled throttling to limit the data rate.

### GstStreamFlags

##### Members

`GST_STREAM_FLAG_NONE` (0) –

This stream has no special attributes

`GST_STREAM_FLAG_SPARSE` (1) –

This stream is a sparse stream (e.g. a subtitle stream), data may flow only in irregular intervals with large gaps in between.

`GST_STREAM_FLAG_SELECT` (2) –

This stream should be selected by default. This flag may be used by demuxers to signal that a stream should be selected by default in a playback scenario.

`GST_STREAM_FLAG_UNSELECT` (4) –

This stream should not be selected by default. This flag may be used by demuxers to signal that a stream should not be selected by default in a playback scenario, but only if explicitly selected by the user (e.g. an audio track for the hard of hearing or a director's commentary track).

Since : 1.2

### Gst.StreamFlags

##### Members

`Gst.StreamFlags.NONE` (0) –

This stream has no special attributes

`Gst.StreamFlags.SPARSE` (1) –

This stream is a sparse stream (e.g. a subtitle stream), data may flow only in irregular intervals with large gaps in between.

`Gst.StreamFlags.SELECT` (2) –

This stream should be selected by default. This flag may be used by demuxers to signal that a stream should be selected by default in a playback scenario.

`Gst.StreamFlags.UNSELECT` (4) –

This stream should not be selected by default. This flag may be used by demuxers to signal that a stream should not be selected by default in a playback scenario, but only if explicitly selected by the user (e.g. an audio track for the hard of hearing or a director's commentary track).

Since : 1.2

### Gst.StreamFlags

##### Members

`Gst.StreamFlags.NONE` (0) –

This stream has no special attributes

`Gst.StreamFlags.SPARSE` (1) –

This stream is a sparse stream (e.g. a subtitle stream), data may flow only in irregular intervals with large gaps in between.

`Gst.StreamFlags.SELECT` (2) –

This stream should be selected by default. This flag may be used by demuxers to signal that a stream should be selected by default in a playback scenario.

`Gst.StreamFlags.UNSELECT` (4) –

This stream should not be selected by default. This flag may be used by demuxers to signal that a stream should not be selected by default in a playback scenario, but only if explicitly selected by the user (e.g. an audio track for the hard of hearing or a director's commentary track).

Since : 1.2

## Constants

### GST_EVENT_NUM_SHIFT

    #define GST_EVENT_NUM_SHIFT     (8)

### Gst.EVENT_NUM_SHIFT

### GST_EVENT_TYPE_BOTH

    #define GST_EVENT_TYPE_BOTH \
        ((GstEventTypeFlags)(GST_EVENT_TYPE_UPSTREAM | GST_EVENT_TYPE_DOWNSTREAM))

The same thing as GST_EVENT_TYPE_UPSTREAM | GST_EVENT_TYPE_DOWNSTREAM.

### Gst.EVENT_TYPE_BOTH

The same thing as Gst.EventTypeFlags.UPSTREAM | Gst.EventTypeFlags.DOWNSTREAM.

### Gst.EVENT_TYPE_BOTH

The same thing as Gst.EventTypeFlags.UPSTREAM | Gst.EventTypeFlags.DOWNSTREAM.

The results of the search are